<?php
/**
 * Profiles management
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:Profiles
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     
define("PATHBASE",'../');
require_once PATHBASE.'header.php';
$targetFile='colors.php?';
$cnx=new connexion_db();

$displayTable=true;

// check token  
if (appUtils::checkToken())
{        
  // action allowed          
  switch ($_REQUEST['action'])
  {
  	case 'delete':
  	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."kados_colors WHERE color_id=".$_REQUEST['id_to_delete'],$cnx->num);?>
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_deleted;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;
	  
  	case 'modify':
  	  $request=new sqlRequest("SELECT color_name,color_value,color_border_value FROM ".PARAM_DB_PREFIX."kados_colors WHERE color_id=".intval($_REQUEST['id_to_modify']),$cnx->num);
      $color=$request->getObject();
	  // get objects of this color
	  $request->sqlGet("(SELECT task_id FROM ".PARAM_DB_PREFIX."kados_tasks WHERE color='".$color->color_name."')
                 UNION (SELECT us_id FROM ".PARAM_DB_PREFIX."kados_user_stories WHERE color='".$color->color_name."')");
      $request->countRows();
	  $disableChangeName=$request->rowCount; ?>
      <form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>&action=submit_modify" method="post" enctype="multipart/form-data" name="form_color">
       <fieldset class="fieldset">
         <legend class="legend"><?php echo $legend_changing_f.' '.lcfirst($text_color);?></legend>
         <input type="hidden" name="form_item_color_id" value="<?php echo $_REQUEST['id_to_modify'];?>">
         <?php appUtils::insertTokenInForm();?>
         <label class="label required_field200" ><?php echo $text_name;?></label>
         <input <?php if ($disableChangeName) { echo 'readonly="readonly" class="readonly_form_field"';} else { echo ' class="std_form_field" ';} ?> name="form_item_name" type="text" size="15" maxlength="20" value="<?php echo $color->color_name;?>" /><div class="clearleft"></div>			 
         <label class="label required_field200" ><?php echo $text_background_value;?></label>
         <input class="std_form_field" id="bg_color" name="form_item_bg_value" type="text" size="6" maxlength="6" value="<?php echo $color->color_value;?>" /><div class="clearleft"></div>
         <label class="label required_field200" ><?php echo $text_border_value;?></label>
	     <input class="std_form_field" id="border_color" name="form_item_border_value" size="6" maxlength="6" value="<?php echo $color->color_border_value;?>" type="text">	  <div class="clearleft"></div>		 
         <br /><?php
           displayButton($button_submit,'','javascript:CheckFormColor()','tsc_awb_medium tsc_awb_green tsc_flat');	
           displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
	 
       </fieldset><div class="clearleft"></div>
      </form><?php
      $displayTable=false;  	
    break;	
     
    case 'submit_modify':
  	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."kados_colors 
	                        SET color_name='".$_POST['form_item_name']."',
							    color_value='".$_POST['form_item_bg_value']."',
							    color_border_value='".$_POST['form_item_border_value']."' 
 	                        WHERE color_id=".$_REQUEST['form_item_color_id'],$cnx->num);?>
        <style type="text/css">
          .<?php echo $_POST['form_item_name'];?>{
	         background-color:#<?php echo $_POST['form_item_bg_value'];?>;
	         border:solid #<?php echo $_POST['form_item_border_value'];?>;	
	         border-width:3px 1px 1px 1px;
          } 
        </style>							
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_updated;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;  
     
    case 'new':?>
      <form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>&action=submit_new" method="post" enctype="multipart/form-data" name="form_color">
       <fieldset class="fieldset">
         <legend class="legend"><?php echo $legend_creation_f.' '.lcfirst($text_color);?></legend>
         <?php appUtils::insertTokenInForm();?>
         <label class="label required_field200" ><?php echo $text_name;?></label>
         <input class="std_form_field" name="form_item_name" type="text" size="15" maxlength="20" value="" /><div class="clearleft"></div>			 
         <label class="label required_field200" ><?php echo $text_background_value;?></label>
         <input class="std_form_field" id="bg_color" name="form_item_bg_value" type="text" size="6" maxlength="6" value="" /><div class="clearleft"></div>
         <label class="label required_field200" ><?php echo $text_border_value;?></label>
	     <input class="std_form_field" id="border_color" name="form_item_border_value" size="6" maxlength="6" value="" type="text">	  <div class="clearleft"></div>		 
         <br /><?php
           displayButton($button_submit,'','javascript:CheckFormColor()','tsc_awb_medium tsc_awb_green tsc_flat');	
           displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
	
       </fieldset><div class="clearleft"></div>
      </form><?php
      $displayTable=false;
    break;
    
    case 'submit_new':
  	  $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."kados_colors (color_name,color_value,color_border_value) 
	                        VALUES ('".$_POST['form_item_name']."','".$_POST['form_item_bg_value']."','".$_POST['form_item_border_value']."')",$cnx->num);?>
        <style type="text/css">
          .<?php echo $_POST['form_item_name'];?>{
	         background-color:#<?php echo $_POST['form_item_bg_value'];?>;
	         border:solid #<?php echo $_POST['form_item_border_value'];?>;	
	         border-width:3px 1px 1px 1px;
          } 	
        </style>		  
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_created;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;
  }  	 
}

  if ($displayTable)
  {
    // set token  
    appUtils::initToken(); 
    // add token to target file
    $targetFile=addParamUrl($targetFile,'token='.appUtils::getToken());        
    // get all color uses
    $request=new sqlRequest("(SELECT bookmark_color AS color FROM ".PARAM_DB_PREFIX."kados_users_bookmarks GROUP BY bookmark_color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_user_stories GROUP BY color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_template_activities GROUP BY color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_tasks GROUP BY color) 
                          UNION (SELECT tag_color AS color FROM ".PARAM_DB_PREFIX."kados_tags GROUP BY tag_color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_projects_users GROUP BY color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_issues GROUP BY color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_activities GROUP BY color) 
                          UNION (SELECT color FROM ".PARAM_DB_PREFIX."kados_actions GROUP BY color)",$cnx->num);
     $listUsedColors=$request->getArrayFirstFieldOnly();
        
      
     displayButton($button_new_color,'',$targetFile.'&action=new','tsc_awb_small tsc_awb_blue tsc_flat');	
	 
     $sqlColors="SELECT * FROM ".PARAM_DB_PREFIX."kados_colors"; 
     $request=new sqlRequest($sqlColors,$cnx->num); 	  	     
     $request->countRows();
     $pageNumbering=new changePage('page_colors',$request->rowCount,$targetFile,$pathImages,getParameter('PGNUBR',$cnx->num));
           
     $sortColumn=new sortColumn('color_sort',$targetFile,$pathImages);
     $pageNumbering->displayNavigator($text_no_item);?>
     <table class="zebraTable" cellspacing="0">
       <tr> 
         <th></th>
         <th><?php echo $text_name; $sortColumn->displaySortButtons('color_name');?></th>
	 <th><?php echo $text_background_value; ?></th>
	 <th><?php echo $text_border_value; ?></th>
         <th><center><a href="#" tooltip="<?php echo $text_management;?>"><img src="<?php echo $pathImages;?>tools.png" border="0" /></a></center></th>       
       </tr><?php
       $request=new sqlRequest($sqlColors.$sortColumn->returnSqlOrderBy().$pageNumbering->returnSqlLimit(),$cnx->num);
       $resultsArray=$request->getArrayFields(); 
       
       for ($i=0;$i<count($resultsArray);$i++)
       { ?>
         <tr>
	   <td><center><div class="colorDisplay <?php echo $resultsArray[$i]['color_name']; ?>"></div></center></td>
           <td><?php   echo $resultsArray[$i]['color_name']; ?></td>
           <td>#<?php echo $resultsArray[$i]['color_value']; ?></td>
	   <td>#<?php echo $resultsArray[$i]['color_border_value']; ?></td>
  	   <td class="nowrap">
            <center>
	     <a href="<?php echo $targetFile;?>&action=modify&id_to_modify=<?php echo $resultsArray[$i]['color_id'];?>" tooltip="<?php TextDisplay($action_delete);?>"><img src="<?php echo $pathImages;?>edit.png" border=0 /></a><?php
	     if (!in_array($resultsArray[$i]['color_name'],$listUsedColors))
             {?>
               <a href="<?php echo $targetFile;?>&action=delete&id_to_delete=<?php echo $resultsArray[$i]['color_id'];?>" onclick="return confirm('<?php echo $msg_confirm_delete_object;?>');" tooltip="<?php TextDisplay($action_delete);?>"><img src="<?php echo $pathImages;?>delete.png" border="0" /></a><?php
	     }?>  
            </center>
           </td>                      
         </tr><?php
       }?>
	
     </table><br /><?php
  }

$cnx->close();  

require_once PATHBASE.'footer.php';?>

