<?php
/**
 * Actions for issue management  in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
 
if (!isset($otherFieldsInsert))
{
  $otherFieldsInsert='';
  $otherFieldsInsertValues='';
}
 
if (isset($_REQUEST['action']))
{
  switch ($_REQUEST['action'])
  {
    case 'add_activity':
      if(ini_get('magic_quotes_gpc'))
      {
	     // If magic_quotes setting is on, strip the leading slashes that are automatically added to the string:
	     $_POST['note-body']=stripslashes($_POST['note-body']);
      }

      // Escaping the input data:
      $body = formatStringForDB($_POST['note-body']);
      $color = $cnx->escape_string($_POST['color']);
      $zindex = (int)$_POST['zindex'];
	  
      if ($itemType=='checklist')
	  {
        /* Inserting a new record in the $tableData DB: */
        $request->sqlGet("INSERT INTO ".$tableData." (text,color,active,status,".$xPosField.",".$yPosField.",".$zPosField.$otherFieldsInsert.")
				   VALUES ('".$body."','".$color."',1,'0',".$xInitDefaultPosition.",".$yInitDefaultPosition.",".$zindex.$otherFieldsInsertValues.")");	  
	  
	  }
	  else
	  {
	    // Get max issue_number for the project
	    $request= new sqlRequest("SELECT MAX(activity_number) AS max FROM ".PARAM_DB_PREFIX."kados_activities WHERE activity_release_id_fk=".$_SESSION['current_release_id'],$cnx->num);
	    $request->getObject();
	    $activityNumber=(int)$request->objet->max+1;	  
        /* Inserting a new record in the $tableData DB: */
        $request->sqlGet("INSERT INTO ".$tableData." (text,color,".$xPosField.",".$yPosField.",".$zPosField.",status,
	                         activity_release_id_fk,activity_creation_date,activity_creator,activity_last_update_date,activity_last_updater,activity_link,activity_number)
				   VALUES ('".$body."','".$color."',".$xInitDefaultPosition.",".$yInitDefaultPosition.",".$zindex.",'TODO',
				           ".$_SESSION['current_release_id'].",'".date('Y-m-d H:i:s')."','".$_SESSION['login']."','".date('Y-m-d H:i:s')."','".$_SESSION['login']."',
						   '".$_POST['note_link']."',".$activityNumber.")");	  
      }
	break;
 
    case 'update_activity':
      if(ini_get('magic_quotes_gpc'))
      {
	     // If magic_quotes setting is on, strip the leading slashes that are automatically added to the string:
	     $_POST['note-body']=stripslashes($_POST['note-body']);
      }

      // Escaping the input data:
      $body = formatStringForDB($_POST['note-body']);
      $color = $cnx->escape_string($_POST['color']);

	  
      if ($itemType=='checklist')
	  {	  
        $request= new sqlRequest("UPDATE ".$tableData." 
		                      SET text='".$body."',color='".$color."' 
							  WHERE ".$itemIdName."=".intval($_REQUEST['item_id']),$cnx->num);
	  }			
      else
      {
        $request= new sqlRequest("UPDATE ".$tableData." 
		                      SET text='".$body."',color='".$color."',activity_link= '".$_POST['note_link']."'  
							  WHERE ".$itemIdName."=".intval($_REQUEST['item_id']),$cnx->num);
      }	  
	break; 
	
	case 'del_item':
	  $request->sqlGet("DELETE FROM ".$tableData." WHERE ".$itemIdName."=".intval($_REQUEST['item_id']));
	break;
  }	
}	