<?php
/**
 * Form (popin) to update an item in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
define("PATHBASE",'../');
$pathClasses=PATHBASE.'libraries/classes/';
$pathImages=PATHBASE.'images/';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{
  // include block of classes, functions, and files useful for popin forms
  require_once PATHBASE.'popin_includes.php';
  // get bootstrap to securise use of $_REQUEST var
  require_once PATHBASE.'boards_settings/settings_bootstrap.php';

  $request=new sqlRequest("SELECT * FROM ".$tableData." WHERE ".$itemIdName."=".intval($_REQUEST['item_id']),$cnx->num);
  $item=$request->getObject();?>

<h3 class="popupTitle"><?php echo $legend_changing_f.' '.lcfirst($text_activity);?></h3>

<!-- The preview: -->
<div id="previewNote" class="note <?php echo $item->color;?>" style="width:<?php echo $itemWidth;?>px;height:<?php echo $itemHeight;?>px;left:0;top:45px;z-index:1">
	    <div class="item-header">
		  <span class="postit_id bloc-header"></span>
		  <span class="task_load"></span>
		</div>
	<div class="text_body" style="width:<?php echo ($itemWidth-$itemWidthBodyMargin);?>px;height:<?php echo ($itemHeight-$itemHeightBodyMargin);?>px;"><?php echo $item->text;?></div>
	<div class="item-footer">
	  <span class="load_spent"></span>
	  <span class="load2finish" id="preview_load2finish"></span>
  </div>		
	<span class="data"><?php echo $item->$itemIdName;?></span>
</div>

<?php include PATHBASE.'note_color_choice.php';?>

<div id="noteData" style="margin-left:<?php echo ($itemWidth+30);?>px;"> <!-- Holds the form -->
<form class="pure-form pure-form-aligned" action="<?php echo $targetFileAction;?><?php echo (isset($_REQUEST['blockId']) ? '&a='.md5(time()).'#Block'.$_REQUEST['blockId'] : '');?>" method="post" name="form_activity" enctype="multipart/form-data">
<input type="hidden" name="action" value="update_activity" />
<input type="hidden" name="item_id" id="note_id" value="<?php echo $item->$itemIdName;?>">
<label class="label required_field"><?php echo $text_activity;?></label>
<textarea name="note-body" id="note-body" class="pr-text_body"  cols="40" rows="6"><?php echo $item->text;?></textarea>
<div class="clearleft"></div>
<?php
if ($filteredItemType=='activities')
{?>
<label class="label" ><?php echo $text_link;?></label>
<input id="note-link" type="text" size="43" name="note_link" value="<?php echo $item->activity_link;?>">
<div class="clearleft"></div><br/><?php
}
else
{?>
<br/><br /><br /><?php
}

displayButton($button_submit,'','','activity-submit tsc_awb_medium tsc_awb_green tsc_flat');	?>

<input class="colorname" type="hidden" name="color" value="<?php echo $item->color;?>" />
</form>
</div><?php
}
else
{
  require_once $pathCommons.'functions.php';  ?>
  <script>
    window.location.replace('<?php echo getServerURL();?>/../index.php?warning_message=SESSION_END');
  </script>   <?php
}