<?php
/**
 * Form (popin) to add a sprint to a release in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'../');
$pathClasses=PATHBASE.'libraries/classes/';
$pathImages=PATHBASE.'images/';
$pathCommons=PATHBASE.'common_scripts/';  
$targetFile='project_cockpit.php?menu_lev2=cockpit';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{

require_once PATHBASE.'popin_includes.php';
require_once $pathCommons.'date_hour.php';

// Get sprint data & count US in the release
$request=new sqlRequest("SELECT * FROM ".PARAM_DB_PREFIX."kados_sprints WHERE sprint_id=".$_REQUEST['sprint_id'],$cnx->num);
$sprintData=$request->getObject();
?>
<h3 class="popupTitle"><?php echo $legend_changing_m.' '.lcfirst($text_sprint);?></h3>

<div> <!-- Holds the form -->
<form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>" method="post" name="form_sprint" enctype="multipart/form-data">
<input type="hidden" name="action" value="update_sprint" />
<input type="hidden" name="release_add_sprint" id="release_add_sprint" value="<?php echo $_REQUEST['release_add_sprint'];?>" />
<input type="hidden" name="sprint_2update_id" id="sprint_2update_id" value="<?php echo $_REQUEST['sprint_id'];?>" />
<input type="hidden" id="form_hidden_release_end_date" value="<?php echo $_REQUEST['release_end_date'];?>" />

 <fieldset class="fieldset">
   <label class="label required_field50"><?php echo $text_sprint;?></label>
   <input class="std_form_field" name="form_item_sprint" id="form_item_sprint" type="text" size="15" value="<?php echo $sprintData->sprint_name;?>" /><div class="clearleft"></div>
   <label class="label required_field50" ><?php echo $text_start_date;?></label>
   <input class="date_form_field" readonly="readonly" name="form_item_start_date" id="form_item_start_date"  value="<?php echo convert_date($sprintData->sprint_start_date);?>" type="text" size="10"/>
   <script>
     $("#form_item_start_date").datepicker({dateFormat:"dd/mm/yy",changeMonth: true, changeYear: true});
   </script>   <div class="clearleft"></div>    
   <label class="label required_field50" ><?php echo $text_end_date;?></label>
   <input class="date_form_field" readonly="readonly" name="form_item_end_date" id="form_item_end_date"  value="<?php echo convert_date($sprintData->sprint_end_date);?>" type="text" size="10"/>
   <script>
     $("#form_item_end_date").datepicker({dateFormat:"dd/mm/yy",changeMonth: true, changeYear: true});
   </script>   <div class="clearleft"></div>       
   <br />     <?php 
 displayButton($button_submit,'','','sprint-submit tsc_awb_medium tsc_awb_green tsc_flat');	?>

 </fieldset>
</form>
</div><?php
}
else
{
  require_once $pathCommons.'functions.php';  ?>
  <script>
    window.location.replace('<?php echo getServerURL();?>/../index.php?warning_message=SESSION_END');
  </script>   <?php
}
