<?php
/**
 * Description of appUtils
 *
 * @author Charles
 */
class appUtils {

   /* function to compare token in request and token in session */    
   public static function checkToken()
   {
     // init answer to false : token is not the same in request and in session  
     $answer=false;
     // if token is in request
     if (isset($_REQUEST['token']))
     {
       // if token in request is the same as the one in session  
       if ($_REQUEST['token']==$_SESSION['token'])
       {
         // then check is OK  
         $answer=true;
       }
     }
     // send answer
     return $answer;
   }
   
   /* function to init token in page */
   public static function initToken()
   {
     // set token in session  
     $_SESSION['token']=md5(time());
   }
   
   /* function to insert token in form */
   public static function insertTokenInForm()
   {
     // write a line in form : a hidden input with the token
     echo '<input type="hidden" name="token" value="'.$_SESSION['token'].'" />';   
   }
   
   /* function to get token from session */
   public static function getToken()
   {
     //send the token stored in session
     return $_SESSION['token'];   
   }   
}
