<?php

/**
 * Export an US for the Word export
 *
 * @category Export
 * @package  exportWordUs
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

  $tableUs = $section->addTable('UsTableStyle');  
  $tableUs->addRow();
  $tableUs->addCell(300*strlen($currentUS['object_color_meaning']),array('bgColor'=>$currentUS['color_value']))->addText(utf8_decode($currentUS['object_color_meaning']),array('size'=>16, 'color'=>'black', 'bold'=>true),array('spaceAfter'=>0));
  $tableUs->addCell(1500)->addText('US'.$currentUS['us_number'],array('size'=>16, 'color'=>'black', 'bold'=>true),array('spaceAfter'=>0));
  $tableUs->addCell(500)->addImage($pathImages.getImageFromUsDetailedStatus($currentUS['detailed_status']),null,array('spaceAfter'=>0));
  $tableUs->addCell(2500)->addText(utf8_decode($usStatusTable[$currentUS['detailed_status']]),array('size'=>12),array('spaceAfter'=>0));  
  // display US content in a cell
  unset($tableUs);
  $tableUSContent = $section->addTable('UsContentTableStyle');
  $tableUSContent->addRow();
  $cellUsContent=$tableUSContent->addCell(11000);
  $arrayLines=explode("\n",utf8_decode($currentUS['text']));
  for ($nbLines=0;$nbLines<count($arrayLines);$nbLines++)
  {
    if ($nbLines==(count($arrayLines)-1))
    {
      $cellUsContent->addText($arrayLines[$nbLines],'fStyle','pStyleEnd');
    }
    else
    {
      $cellUsContent->addText($arrayLines[$nbLines],'fStyle','pStyle');
    }        
  }   
  // Display tasks if any
  if (isset($listTasks[$currentUS['us_id']]))
  {
    // Add table fro tasks
    $table = $section->addTable('TasksTableStyle');

    $listTasksUs=$listTasks[$currentUS['us_id']];          
    for ($k=0;$k<count($listTasksUs);$k++)
    {
      // Add Tasks data in cellsarray('bgColor'=>$listTasksUs[$k]['color_value'])
      $table->addRow();
      $table->addCell(1000,array('bgColor'=>$listTasksUs[$k]['color_value']))->addText($listTasksUs[$k]['object_color_meaning'],null,'pStyle');
      $table->addCell(500,array('bgColor'=>$listTasksUs[$k]['color_value']))->addText('T'.$currentUS['us_number'].'.'.$listTasksUs[$k]['task_number'],null,'pStyle');
      $cellContent=$table->addCell(8000,array('bgColor'=>$listTasksUs[$k]['color_value']));
      $arrayLinesTasks=explode("\n",utf8_decode($listTasksUs[$k]['text']));
      for ($t=0;$t<count($arrayLinesTasks);$t++)
      {
        $cellContent->addText($arrayLinesTasks[$t],null,'pStyle');
      }
      $table->addCell(1500,array('bgColor'=>$listTasksUs[$k]['color_value']))->addText(utf8_decode($listTasksUs[$k]['column_name']),null,'pStyle');
    }
  }  
  $section->addTextBreak(1);
  $footer = $section->createFooter();
  $footer->addPreserveText('Page {PAGE} of {NUMPAGES}.', array('align'=>'right'));
?>
