<?php
/**
 * form to create an external connection
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Administration:ExternalConnections
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
 
  require_once PATHBASE.'templates_projects_list.php'; 
 
  // set clause for sort user
  $clauseOrder=' ORDER BY user_name';	
  if (getParameter('NMSORT',$cnx->num)=='SFN')
  {
    $clauseOrder=' ORDER BY user_firstname';
  }
  // set workflow object
  $wkfConnection=new workflow('CON',PARAM_DB_PREFIX.'framework_workflows',PARAM_DB_PREFIX.'framework_status',PARAM_DB_PREFIX.'framework_workflows_transitions',$_SESSION['language']);
  // get active external connection
  $request=new sqlRequest("SELECT * FROM ".PARAM_DB_PREFIX."kados_connections WHERE connection_status_id_fk=".$wkfConnection->id_etat_from_label('ACTCON'),$cnx->num);
  $resultsArray=$request->getArrayFields();

  // list connections
  for ($i=0;$i<count($resultsArray);$i++)
  {?>
    <span class="label soft_grey bordertop borderbottom" style="padding:3px;margin-left:15px;" ><?php echo $resultsArray[$i]['connection_name'];?></span><div class="clearleft"></div><?php
	$project_external_project_connection_id=$resultsArray[$i]['connection_id']; 
	include 'external_connection_get_projects.php'; ?>
	
	    <form class="pure-form pure-form-aligned" action="project_cockpit.php?menu_lev1=cockpit&action=add_ext_project" method="post" enctype="multipart/form-data" name="form_add_project<?php echo $resultsArray[$i]['connection_id'];?>">
		<br />
	    <label class="label required_field100"><?php echo $text_project;?></label>	   
		 <input type="hidden" name="connection_id" value="<?php echo $resultsArray[$i]['connection_id'];?>" />
                 <?php appUtils::insertTokenInForm();?>
         <select name="form_item_ext_project_id" class="std_form_field_liste" ><?php
           for ($k=0;$k<count($projectsList);$k++)
           {?>
             <option value="<?php echo $projectsList[$k]['project_field_id'];?>" ><?php echo $projectsList[$k]['project_field_name'];?></option><?php
           }?>
         </select><div class="clearleft"></div>	
		 
          <label class="label required_field100"><?php echo $text_project_admin;?></label><?php
          if (in_array('ADD_PRJ_OTHERS',$_SESSION['user_actions']))
	  {?>
	    <input name="form_item_project_admin" id="searchAnyUser<?php echo $i;?>" class="std_form_field" type="text" size="35"/>
	    <input name="form_item_project_admin_search" id="searchAnyUserId<?php echo $i;?>" type="hidden"/>
	    <div class="clearleft"></div> <?php
          }
	  else
	  {?>
	     <input type="hidden" name="form_item_project_admin_lb" value="<?php echo $_SESSION['login'];?>" />
	     <input class="readonly_form_field" readonly="readonly" type="text" size="30" value="<?php echo $_SESSION['user_fullname'];?>" /><?php
	  }?><div class="clearleft"></div>			 
         <label class="label required_field100"><?php echo $text_project_levels;?></label>
         <select name="form_item_project_level" class="std_form_field_liste" ><?php
		  for ($j=3;$j>0;$j--)
	      {
		    if (in_array($j,$templateList))
			{?>
              <option value="<?php echo $j;?>" <?php if ($j==$defaultTemplate) { echo 'selected="selected"';} ?>><?php echo $textProjectTemplates[$j];?></option><?php
			}  
		  } ?>
         </select>	 
		 <div class="clearleft"></div>		 
         <br />		 <?php
		   displayButton($button_submit,'','javascript:document.form_add_project'.$resultsArray[$i]['connection_id'].'.submit();','tsc_awb_medium tsc_awb_green tsc_flat');	
		   displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
		
		 </form>
		 <div class="clearleft"></div>			 <br />
                 <script>
    $('#searchAnyUser<?php echo $i;?>').autocomplete({
       source: "xmlhttprequest/search_any_user.php",
       minLength: 2,
       select: function( event, ui ) {
            $('#searchAnyUserId<?php echo $i;?>').attr('value',ui.item['id']);
       }
    });                 
                 </script>                     <?php
  }?>