// JavaScript Document

function alert(args)
{
  sweetAlert(args,'','error');
}


function ReplaceAll(str,find,rep){
  var reg = new RegExp(find,"gi")
  return(str.replace(reg,rep));
}

function nl2br (str, is_xhtml) {   
var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br />' : '<br>';    
return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1'+ breakTag +'$2');
}


function CheckFormProfile()
{ 
  if (document.form_profile.form_item_tag.value=='')
    return(alert(msg_alert_tag));
  if (document.form_profile.form_item_profile.value=='')
    return(alert(msg_alert_profile_name));
  document.form_profile.submit();
}

function CheckFormParameter()
{ 
  if (document.form_parameter.form_item_parameter_value.value=='')
    return(alert(msg_alert_parameter_value));
  document.form_parameter.submit();
}

function CheckFormLogon()
{ 
  if (document.form_logon.Flogin.value=='')
    return(alert(msg_alert_login));
  if (document.form_logon.Fpass.value=='')
    return(alert(msg_alert_password));
  document.form_logon.submit();
}

function CheckFormPassword() 
{
  if (!isPasswordCompliant(document.form_user_password.form_item_new_password.value))
  {
    return(alert(msg_alert_password_compliant));
  }  
  else
  {
    if (document.form_user_password.form_item_new_password.value!=document.form_user_password.form_item_new_password_check.value)
    {
       return(alert(msg_alert_check_failed));
    }   
  }
  
  document.form_user_password.submit();
}

function CheckFormPasswordOnly() 
{
  if (document.form_user_password_only.form_item_password_check.value=='')
  {
    return(alert(msg_alert_password));
  }  
 
  document.form_user_password_only.submit();
}

function CheckFormForgottenPassword() 
{
  if (document.form_user_forgotpass.Flogin_forgotpass.value=='')
  {
    return(alert(msg_alert_login));
  }  
  if (document.form_user_forgotpass.form_item_email_forgotpass.value=='')
  {
    return(alert(msg_alert_user_email));
  }
  
  document.form_user_forgotpass.submit();
}

function CheckFormUser(path_base,action,password) 
{
  if (document.form_user.form_item_login.value=='')
    return(alert(msg_alert_login));
  if (document.form_user.form_item_firstname.value=='')
    return(alert(msg_alert_user_firstname));
  if (document.form_user.form_item_name.value=='')
    return(alert(msg_alert_user_name));
  if (document.form_user.form_item_email.value=='')
    return(alert(msg_alert_user_email));

  if (password)
  {
    if (!isPasswordCompliant(document.form_user.form_item_new_password.value))  
    {
      return(alert(msg_alert_password_compliant));
    }  
    else
    {
      if (document.form_user.form_item_new_password.value!=document.form_user.form_item_new_password_check.value)
      {
         return(alert(msg_alert_check_failed));
      }   
    }
  }      
 
 
  if (action=='new')
  { 
    $.post(path_base+'xmlhttprequest/check_login_unicity.php',{recherche:$('#form_item_login').val()},function(msg)
    {
      if (msg=='OK')
      {
        document.form_user.submit();
      }
      else if (msg=='EXISTS')
      {
        return(alert(msg_alert_login_exists)); 
      }    
      else if (msg=='WRONG')
      {
        return(alert(msg_alert_login_forbidden)); 
      }          
    });
  }
  else
  {
    document.form_user.submit();
  }  
}
   
function CheckFormAddress(target_form)
{
	if (document.forms[target_form].form_item_address_street1.value=='')
    return(alert(msg_alert_address));
 	if (document.forms[target_form].form_item_address_zip_code.value=='')
    return(alert(msg_alert_address_zip_code));
	if (document.forms[target_form].form_item_address_city.value=='')
    return(alert(msg_alert_address_city));
  return 'ok';  
}

  
function affectValue(target,source)
{
  if (document.getElementById(target).value=='')
  {
    document.getElementById(target).value=document.getElementById(source).value;
    document.getElementById(source).value='';
  }	
}

function export_start(target)
{
  $('#form_export').attr('action',$('#target_'+target).attr('value'));
  $('#form_export').submit();
}


function isPasswordCompliant(password)
{
  var reg = /^(?=.*[a-z].*)(?=.*[A-Z].*)(?=.*\d.*)(?=.*[!?*$+_@%#].*)[a-zA-Z0-9\S]{8,20}$/;
  var test = reg.test(password);
  return test;
}  


function CheckFormNews()
{ 
  if (document.form_news.form_item_content.value=='')
    return(alert(msg_alert_content));
  document.form_news.submit();
}
