<?php
/**
 * Project Team
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement:ObjectSettings
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
define("PATHBASE",'./');
$targetFile='project_team.php?menu_lev1=team';

$flagCheckCurrentProject=true;
require PATHBASE.'header.php';

  // Get local profiles list
  $request=new sqlRequest("SELECT profile_id,profile_name  
                        FROM ((SELECT profile_id,profile_name 
                              FROM ".PARAM_DB_PREFIX."framework_profiles,".PARAM_DB_PREFIX."kados_projects_profiles 
                              WHERE profile_type='LOCAL' 
                                AND profile_id=profile_id_fk 
                                AND project_id_fk=".$_SESSION['current_project_id'].")      
                             UNION       
                             (SELECT profile_id,profile_name 
                              FROM ".PARAM_DB_PREFIX."framework_profiles,".PARAM_DB_PREFIX."kados_projects_users 
                              WHERE profile_type='LOCAL' 
                                AND profile_id=profile_id_fk 
                                AND project_id_fk=".$_SESSION['current_project_id'].")) tab_union 
                        GROUP BY profile_id       
                        ORDER BY profile_name ",$cnx->num);
  $profilesList=$request->getArrayFields();     

  // there is at least one profile
  $initialValue=$profilesList[0]['profile_id'];	
  // inlcude actions on staleholders
  require_once PATHBASE.'boards_actions/actions_stakeholders.php'; 
  
  $showOnlyProjectLevel=true;  
  include PATHBASE.'railway_display.php';
 
  // Get mode
  $itemType='stakeholders';

  $masterItemType=getMasterItemType($itemType);
  $simpleItemType=getSimpleItemType($itemType);
  /* set dashboard settings */
  include PATHBASE.'dashboard_settings.php';
  //$columnWidth=360;

  for ($i=0;$i<count($profilesList);$i++)
  {
    $arrayStatusX[$profilesList[$i]['profile_id']]=$columnWidth*$i;
    $arrayStatus[$i]['colName']=$profilesList[$i]['profile_name'];
  }
  
  $displayTopButtons=true;
  $rightToAdd=in_array('MNGSTAKEHOLDER',$_SESSION['user_actions']) || in_array('MNGSTAKEHOLDER',$_SESSION['user_local_actions'])  || $_SESSION['login']==$currentProject->adminLogin;
  $allowAdd=false;
  $targetAdd='';
  $buttonAdd='';
  $buttonAddImage='';	
	
  $allowDelete=$rightToAdd;
  $allowOrder=$rightToAdd;
  $allowMove=$rightToAdd;
  $allowUpdate=false;
  $allowActionHeaderStamp=false;

  $buttonOrder=$button_reorder;
  $buttonOrderExtended=$button_reorder_flat;  
  
  $MultipleItemsArray[0]=array('parent_id'=>0,'name'=>'','header_stamp'=>'','text'=>'','color'=>'');
  $firstColumnStatic=false;
  
  include PATHBASE.'boards_settings/settings_'.$itemType.'.php';

  $deleteMode='del';?>

   <div class="MessageBox TitleBox"><?php echo $msg_stakeholders_display;?></div><?php	 

  if ($rightToAdd)
  {
    $boardFinalStatusTag='';  
    // Get releases
    $request->sqlGet("SELECT release_id,release_name 
                     FROM ".PARAM_DB_PREFIX."kados_releases 
                     WHERE release_project_id_fk=".$_SESSION['current_project_id']);
    $releaseList=$request->getArrayFields(); ?>
    <div class="MessageBox TitleBox"><?php echo $msg_stakeholders_display_autocomplete;?></div><?php	 
    include PATHBASE.'forms/form_stakeholder.php';
  }   
  // change delete picture (direct delete, no trash system)
  include PATHBASE.'boards_actions/actions_items.php';
  $showFilterSearch['us']=false;
  include PATHBASE.'matrix_display.php';	 

include PATHBASE.'footer.php';?>