<?php
// Init step check right to write in conf/
// First Step : create connect.conf
// Second Step : load DB
// Third Step : update VERSION file with new version
define("PATHBASE","../../../");

$errorMessages['ERR_FINDFILE_LDAP']="Error : unable to find ldap conf file => Sorry, you'll have to do it manually.";
$errorMessages['ERR_CONNECTDB']='Error : unable to connect to DB';
$errorMessages['ERR_CONNECTDATA']='Error : no conf file for connection';
$errorMessages['ERR_RENAME']= "Error : impossible to rename connect.conf => Sorry, you'll have to do it manually.";
$errorMessages['ERR_FINDFILE_CONF']="Error : unable to find conf file => Sorry, you'll have to do it manually.";

// STEP 1?>
STEP1 : Database connection settings.<br /><br /><?php 

$showForm=true;
if (isset($_GET['check']))
{
   error_reporting(0); 
   echo 'Checking database settings.<br />'; 
   $mysqli = new mysqli($_POST['db_host'],$_POST['db_user'],$_POST['db_pass'],$_POST['db_name']); 
   if ($mysqli->connect_error) 
   {?>
     <img src='<?php echo PATHBASE;?>images/error.png'/> <?php
     switch($mysqli->connect_errno)
     {
       case '1045':
         echo 'Wrong password or wrong identifier';
       break;
   
       case '1049':
         echo 'Unknown database';
       break;   
   
       case '2002':
         echo 'Unknown host';
       break;   
     }
     echo '<br />';
     // echo 'Erreur de connexion (' . $mysqli->connect_errno . ') '. $mysqli->connect_error;
   }
   else 
   {
     $mysqli->query("SET NAMES 'utf8'"); ?>
     <img src='<?php echo PATHBASE;?>images/tick.png'/> <?php    
     echo 'Connection OK.<br />';
     echo 'Create file for DB settings.<br />';
     $string_file=file_get_contents("connect.conf");
     $string_file=str_replace('PARAM_host',$_POST['db_host'],$string_file);  
     $string_file=str_replace('PARAM_user',$_POST['db_user'],$string_file);  
     $string_file=str_replace('PARAM_password',$_POST['db_pass'],$string_file);  
     $string_file=str_replace('PARAM_db',$_POST['db_name'],$string_file);  
     $string_file=str_replace('PARAM_prefix',$_POST['db_prefix'],$string_file);  
     $string_file=str_replace('PARAM_charset','utf8',$string_file);  
     $file=fopen(PATHBASE."conf/connect.conf","w");
     fwrite($file,$string_file);   
     fclose($file);  ?>
     <img src='<?php echo PATHBASE;?>images/tick.png'/> <?php  
     echo 'File for DB settings created.<br />'; ?><br />
    <a href="install_step2.php" >NEXT STEP</a><?php     
    $showForm=false;
   }
}
if ($showForm)
{?>

Please, fill in the following settings to connect to your database<br />
<form method="post" action="install_step1.php?check=on">
<pre>    
 Host      <input type="text" name="db_host" size="60" value="<?php echo (isset($_POST['db_host']) ? $_POST['db_host'] : '');?>" /><br />
 Batabase  <input type="text" name="db_name" size="60" value="<?php echo (isset($_POST['db_name']) ? $_POST['db_name'] : '');?>" /><br />
 User      <input type="text" name="db_user" size="60" value="<?php echo (isset($_POST['db_user']) ? $_POST['db_user'] : '');?>" /><br />
 Password  <input type="text" name="db_pass" size="60" value="<?php echo (isset($_POST['db_pass']) ? $_POST['db_pass'] : '');?>" /><br />
 Prefix for tables  <input type="text" name="db_prefix" size="30" value="<?php echo (isset($_POST['db_prefix']) ? $_POST['db_prefix'] : '');?>" /><br />
 <br />
</pre>
 <input type="submit" value="Submit"/>
</form>
<?php
}?>