<?php
// Init step check right to write in conf/
// First Step : update DB
// Second Step : update VERSION file with new version
define("PATHBASE","../../../");

$errorMessages['ERR_FINDFILE_LDAP']="Error : unable to find ldap conf file => Sorry, you'll have to do it manually.";
$errorMessages['ERR_CONNECTDB']='Error : unable to connect to DB';
$errorMessages['ERR_CONNECTDATA']='Error : no conf file for connection';
$errorMessages['ERR_RENAME']= "Error : impossible to rename connect.conf => Sorry, you'll have to do it manually.";
$errorMessages['ERR_FINDFILE_CONF']="Error : unable to find conf file => Sorry, you'll have to do it manually.";

function rrmdir($dir) {
 if (is_dir($dir)) { // si le paramtre est un dossier
     $objects = scandir($dir); // on scan le dossier pour rcuprer ses objets
     foreach ($objects as $object) { // pour chaque objet
          if ($object != "." && $object != "..") { // si l'objet n'est pas . ou ..
               if (filetype($dir."/".$object) == "dir") rrmdir($dir."/".$object);else unlink($dir."/".$object); // on supprime l'objet
              }
     }
     reset($objects); // on remet  0 les objets
     rmdir($dir); // on supprime le dossier
     }
 }

// STEP 1
require PATHBASE."conf/connect.conf"; 
echo 'STEP1 : Starting DB update.<br />';
$mysqli = new mysqli(PARAM_CNX_HOST, PARAM_CNX_USER, PARAM_CNX_PASS, PARAM_CNX_DB);  
$mysqli->query("SET NAMES '".PARAM_CNX_CHARSET."'");
// check if update already done
$resultCheck=$mysqli->query("SELECT parameter_value FROM ".PARAM_DB_PREFIX."framework_parameters
                               WHERE  parameter_tag_id='DBVERS'");
if ($resultCheck->num_rows!=0)
{
  $row = $resultCheck->fetch_row();
  if (intval($row[0])==10)
  {
    echo "Update must be done. Starting...<br />";  
    $string_file=file_get_contents("upgrade_source.sql");
    $string_file=str_replace('[DB_PREFIX]',PARAM_DB_PREFIX,$string_file);  
    $file=fopen("upgrade.sql","w");
    fwrite($file,$string_file);   
    fclose($file);      
      
    $queries=file('upgrade.sql');

    $overallResult=true;
    $file=fopen('upgrade_sql_error.txt','w');
    for ($i=0;$i<count($queries);$i++)
    {
      $resultQuery=$mysqli->query($queries[$i]);
      $overallResult= $overallResult && $resultQuery;
      if (!$resultQuery)
      {
        fwrite($file,"REQUEST #".($i+1).' : '.$mysqli->error."\n");
      }
    }  
    fclose($file);
    // update parameter
    $mysqli->query("UPDATE ".PARAM_DB_PREFIX."framework_parameters SET parameter_value='11' WHERE parameter_tag_id='DBVERS'");
 
    $mysqli->close();
    if ($overallResult)
    {?>
      <img src='<?php echo PATHBASE;?>images/tick.png'/> <?php  
      echo 'DB update OK, going to next step.<br /><br />'; 
    }      
    else
    {?>
      <img src='<?php echo PATHBASE;?>images/error.png'/> <?php  
      echo "At least one request was not correctly executed.<br />Here are the errors found. You will have to manually complete the upgrade.<br /><i>";
      include 'upgrade_sql_error.txt';
      echo '</i><br /><br />';
    }
  }
  else
  {
     echo 'DB update already done, going to next step.<br /><br />'; 
  }
}
  // STEP 2 
  echo 'STEP 2 : Update VERSION file.<br />';
  unlink(PATHBASE.'VERSION');
  copy(PATHBASE.'VERSION_NEW',PATHBASE.'VERSION');?>
  <img src='<?php echo PATHBASE;?>images/tick.png'/> <?php  
  echo 'Update VERSION file, upgrade is finished.<br /><br />';?><br />
  <a href="<?php echo PATHBASE;?>index.php" >CONNECT TO KADOS</a>