<?php

/**
* Manage attachments at the postit update
 *
 * @category SCRIPTS
 * @package  ATTACHMENTS
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

      // add files if any is uploaded
      $directoryAttachments=getParameter('FLPATH',$cnx->num)."/".$simpleItemTypeUpper."/".$simpleItemTypeUpper.$postitId."/";
      if(isset($_FILES['files']))
      {
        if ($_FILES['files']['name'][0]!='')
        {
          // get files with errors
          //init
          $filesErrors=array();
          $finfo = new finfo(FILEINFO_MIME);

          for ($i=0;$i<count($_FILES['files']['error']);$i++)
          {
            // if file has an error  
            if ($_FILES['files']['error'][$i]==1)
            {
              //log file number  
              $filesErrors[]=$_FILES['files']['name'][$i];  
            }
          /*  else
            {
              echo $finfo->file($_FILES['files']['tmp_name'][$i]).'<br/>';  
            }*/
          }    
          // upload file and get the result tag  
          $res =  upload_multiple_file($_FILES['files'],$directoryAttachments,$postitId,$simpleItemTypeUpper);
          // the resultat situation is at the beginning of tag
          $codeReturn=explode('!',$res);
          // Set message (if any) explaining the pb
          $displayAttachmentWarningMsg=$codeReturn[0];
        }  
      }      
      // delete attachement if any has been selected
      if (isset($_POST['files2delete']))
      {
        // may exists only because there is some attachment, check if it is empty
        if ($_POST['files2delete']!='')  
        {
           // get all files names 
           $files2Delete=explode(';',$_POST['files2delete']);
           $attachmentDeleteConfirmationMsg=array();
           for ($i=0;$i<count($files2Delete);$i++)
           {
             // if file is not empty (can come from the delete/canceldelete function in update US) and file exists, it can be deleted
             if ($files2Delete[$i]!='' && file_exists($directoryAttachments.$files2Delete[$i]))  
             {    
               // remove the file  
               unlink($directoryAttachments.$files2Delete[$i]);
               // log deletion in history
               $historyObject->addPostitHistory($simpleItemTypeUpper,$postitId,'attachment_removed',$files2Delete[$i],'', $_SESSION['login']);
               // store a message explaining which file has been deleted
               $attachmentDeleteConfirmationMsg[]=$files2Delete[$i];
             }  
           }
        }
      }
?>
