<?php

/**
 * zzzzzzzzzzzzzz
 *
 * @category Users
 * @package  users
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

  switch ($_REQUEST['action'])
  {
    case 'update_password':
      $changeAllowed=true;  
      // check if token is OK  
      if (isset($_REQUEST['token']))
      {
        if ($_REQUEST['token']==$_SESSION['token'])
        {          
          // is there a current password check ?
          if (isset($_POST['form_item_current_password']))  
          {    
            // get user current password (MD5)
            $request=new sqlRequest("SELECT user_password 
                                     FROM ".PARAM_DB_PREFIX."framework_users 
                                     WHERE user_login='".$_POST['user_login']."'",$cnx->num);          
            $user=$request->getObject();
            // check if current password is OK
            if ($user->user_password!=md5(substr($_POST['form_item_current_password'],0,15)))
            {
              $changeAllowed=false;?>
  	      <div class="MessageBox WarningMessageBox"><?php TextDisplay($msg_wrong_current_password);?></div><?php              
            }
          }
          else
          {
            // check that user is admin (then allowed to change password and that admin can manage password)
            if (getParameter('USACT',$cnx->num))
            {
              // forbid change  
              $changeAllowed=false;  
            }
            else
            {
              // check that user is admin  
              if ($_SESSION['user_profile_tag']!='ADM')
              {
                // forbid change  
                $changeAllowed=false;    
              }
            }
          }
          // then OK, password change is allowed
          if ($changeAllowed)
          {
            // if the field password exists
            if (isset($_POST['form_item_new_password']))
            {
              // if it is not empty  
              if ($_POST['form_item_new_password']!='')
              {
                // Update user with data from the form
                $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."framework_users 
                                         SET user_password='".md5(substr($_POST['form_item_new_password'],0,15))."'   
	                                 WHERE user_login='".$_POST['user_login']."'",$cnx->num);?>
  	        <div class="MessageBox ConfirmationMessageBox"><?php TextDisplay($msg_password_updated);?></div>
                <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
              }
            }          
          }  
        }
      }
    break;  

    case 'submit_modify_user':
      if (isset($_REQUEST['token']))
      {
        if ($_REQUEST['token']==$_SESSION['token'])
        {                     
          // get user data
          $request=new sqlRequest("SELECT user_mail  
                                FROM ".PARAM_DB_PREFIX."framework_users 
                                WHERE user_login='".$_REQUEST['form_item_login']."'",$cnx->num);
          $user=$request->getObject();

          // if user is able to change its profile : user is admin
          $addProfileUpdate='';
          if (($_SESSION['user_profile_tag']=='ADM' || $_SESSION['user_profile_tag']=='GRP_MNG') && isset($_POST['form_item_profile']))
          {
            $addProfileUpdate="user_profile_id_fk=".$_POST['form_item_profile'].",";
          }
          // if user is able to change language : user is admin and is on an user form
          $addLanguageUpdate='';
          if (($_SESSION['user_profile_tag']=='ADM' || $_SESSION['user_profile_tag']=='GRP_MNG') && isset($_POST['form_item_language']))
          {
            $addLanguageUpdate="user_language='".$_POST['form_item_language']."',";
          }          
          // if form contains theme update : user update form
          $addThemeUpdate='';
          if (isset($_POST['form_item_theme']))
          {
            $addThemeUpdate="user_theme='".$_POST['form_item_theme']."',";
          }          
          // Update user with data from the form
  	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."framework_users 
                                SET ".$addProfileUpdate." 
                                    ".$addThemeUpdate."                                         
                                    ".$addLanguageUpdate."  
                                    user_name='".$_POST['form_item_name']."',
                                    user_firstname='".$_POST['form_item_firstname']."' 
                                WHERE user_login='".$_REQUEST['form_item_login']."'",$cnx->num);
          // check if email has changed
          if ($_POST['form_item_email']!=$user->user_mail)
          {
            // if user pawword is managed by email
            if (getParameter('USACT',$cnx->num))
            {
              // set an email confirmation key  
              $emailConfirmationKey=md5('key_mail'.$_REQUEST['form_item_login'].time()); 
              // update user  
              $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."framework_users 
                               SET user_mail_to_confirm='".$_POST['form_item_email']."',
                                   user_mail_to_confirm_key_stamp=NOW(),   
                                   user_mail_to_confirm_key='".$emailConfirmationKey."' 
                                WHERE user_login='".$_REQUEST['form_item_login']."'");  
              // send an email to get confirmation from user
              // Create a new PHPMailer instance
              $mail = new PHPMailer;
              //Set who the message is to be sent from
              $mail->setFrom(getParameter('FROMML',$cnx->num),getParameter('FROMNM',$cnx->num));
              //Set who the message is to be sent to
              $mail->addAddress($_POST['form_item_email'], $_POST['form_item_firstname'].' '.$_POST['form_item_name']);
              //Set the subject line
              $mail->Subject = str_replace('__APP__',$appName,file_get_contents(PATHBASE.'/mails/'.$_POST['form_item_language'].'_subject_confirm_email.txt'));
              //Read an HTML message body from an external file, convert referenced images to embedded,
              // build URL
              $urlToValidate=getServerROOT().getParameter('APDIR',$cnx->num).'validate_email.php?k='.$emailConfirmationKey.'&lg='.$_POST['form_item_language'];
              //convert HTML into a basic plain-text alternative body
              $messageBody=file_get_contents(PATHBASE.'mails/'.$_POST['form_item_language'].'_contents_confirm_email.html');
              // set name in mail
              $messageBody=str_replace('__NAME__',$_POST['form_item_firstname'].' '.$_POST['form_item_name'],$messageBody);
              // set link in mail
              $messageBody=str_replace('__LINK__',$urlToValidate,$messageBody);
              // set app in mail
              $messageBody=str_replace('__APP__',$appName,$messageBody);
              
              $mail->msgHTML($messageBody, dirname(__FILE__));
        
              //send the message, check for errors
              if (!$mail->send()) 
              {
                echo "Mailer Error: " . $mail->ErrorInfo;
              } 
              else 
              {?>
  	        <div class="MessageBox ConfirmationMessageBox"><?php TextDisplay($msg_mail_validation_sent);?></div><?php
              }              
            }
            else
            {
              // change mail normally
              $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."framework_users 
                               SET user_mail='".$_POST['form_item_email']."' 
                               WHERE user_login='".$_REQUEST['form_item_login']."'");  
                
            }
          }   ?>
          <div class="MessageBox ConfirmationMessageBox"><?php TextDisplay($msg_user_updated);?></div> 
          <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
        }
      }
    break;    
    
    case 'create_user':
      if (isset($_REQUEST['token']))
      {
        if ($_REQUEST['token']==$_SESSION['token'])
        {         
          // create an empty standard user object
          $user=new stdClass();
          $user->user_login='';
          $user->user_firstname='';
          $user->user_name='';
          $user->user_profile_id_fk=0;
          $user->user_mail='';
          $user->user_password='';
          $user->user_theme=getParameter('THEME',$cnx->num);
          $user->user_language='fr';
          // Get the standard user form        
          $form_legend=TextFormat($legend_creation_m.' '.lcfirst($text_user));
          $displayPasswordInputsInForm=true;
          include PATHBASE.'administration/user_form.php';
          $displayTable=false;
        }
      }
    break;
    
    case 'submit_create_user':
      if (isset($_REQUEST['token']))
      {
        if ($_REQUEST['token']==$_SESSION['token'])
        {             
          // init check syntax flag  
          $syntaxOK=true;  
          // Init activation vars
          $userConfirmed=1;
          $userConfirmationKey='';
          $userPasswordField='user_password,';
          $userPasswordValue='';
          if (isset($_POST['form_item_new_password']))
          {
            $userPasswordValue="'".md5(substr($_POST['form_item_new_password'],0,15))."',";
          }  
          if (getParameter('USACT',$cnx->num))
          {
            $userConfirmed=0;
            $userConfirmationKey=md5('key'.$_POST['form_item_login'].time());
            $userPasswordField='';
            $userPasswordValue='';
          }  
          // filter login, no more than 15 chars  
          $FormLogin=substr($_POST['form_item_login'],0,LG_MAX_LOGIN);  
          // check login char composition only alphanumeric chars
          if (!preg_match("/^[a-z0-9_]+$/",$FormLogin))
          {
            $syntaxOK=false;  
          }    
          // if first check is OK
          if ($syntaxOK)
          {
            // Insert user
  	    $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."framework_users (user_login,
                                                               user_name,
                                                               user_firstname,
                                                               user_mail,
                                                               user_profile_id_fk,
                                                               user_creation_date,
                                                               user_language,
                                                               user_theme,
                                                               ".$userPasswordField."
                                                               user_confirmed,
                                                               user_confirmation_key,
                                                               user_confirmation_key_stamp) 
	                          VALUES ('".strtolower($_POST['form_item_login'])."',
                                          '".$_POST['form_item_name']."',
                                          '".$_POST['form_item_firstname']."',
                                          '".$_POST['form_item_email']."',
                                          ".$_POST['form_item_profile'].",
		        		  '".aujourdhui()."',
                                          '".$_POST['form_item_language']."',
                                          '".getParameter('THEME',$cnx->num)."',
                                          ".$userPasswordValue."    
                                          ".$userConfirmed.",
                                          '".$userConfirmationKey."',
                                          NOW())",$cnx->num);
            $idNewUser=strtolower($_POST['form_item_login']);
            // send email
            if (getParameter('USACT',$cnx->num))
            {
              // Create a new PHPMailer instance
              $mail = new PHPMailer;
              //Set who the message is to be sent from
              $mail->setFrom(getParameter('FROMML',$cnx->num),getParameter('FROMNM',$cnx->num));
              //Set who the message is to be sent to
              $mail->addAddress($_POST['form_item_email'], $_POST['form_item_firstname'].' '.$_POST['form_item_name']);
              //Set the subject line
              $mail->Subject = str_replace('__APP__',$appName,file_get_contents(PATHBASE.'/mails/'.$_POST['form_item_language'].'_subject_confirm_account.txt'));
              //Read an HTML message body from an external file, convert referenced images to embedded,
              // build URL
              $urlToValidate=getServerROOT().getParameter('APDIR',$cnx->num).'validate.php?k='.$userConfirmationKey.'&lg='.$_POST['form_item_language'];
              //convert HTML into a basic plain-text alternative body
              $messageBody=file_get_contents(PATHBASE.'mails/'.$_POST['form_item_language'].'_contents_confirm_account.html');
              // set name in mail
              $messageBody=str_replace('__NAME__',$_POST['form_item_firstname'].' '.$_POST['form_item_name'],$messageBody);
              // set link in mail
              $messageBody=str_replace('__LINK__',$urlToValidate,$messageBody);
              // set app  in mail
              $messageBody=str_replace('__APP__',$appName,$messageBody);
              
              $mail->msgHTML($messageBody, dirname(__FILE__));
        
              //send the message, check for errors
              if (!$mail->send()) 
              {
                echo "Mailer Error: " . $mail->ErrorInfo;
              } 
              else 
              {?>
                <div class="MessageBox ConfirmationMessageBox"><?php TextDisplay($msg_mail_sent);?></div>  <?php
              }
            }?>
            <div class="MessageBox ConfirmationMessageBox"><?php TextDisplay($msg_object_created);?></div>  
            <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
          }
          else
          {?>
            <div class="MessageBox WarningMessageBox"><?php TextDisplay($msg_user_format_ko);?></div><?php
            // create an empty standard user object
            $user=new stdClass();
            $_REQUEST['action']='new';
            $user->user_login='';
            $user->user_firstname=$_POST['form_item_firstname'];
            $user->user_name=$_POST['form_item_name'];
	    $user->user_profile_id_fk=$_POST['form_item_profile'];
            $user->user_mail=$_POST['form_item_email'];
            $user->user_password='';
	    $user->user_theme='default';
	    $user->user_language=$_POST['form_item_language'];
            // Get the standard user form        
            $form_legend=TextFormat($legend_creation_m.' '.lcfirst($text_user));
            include 'user_form.php';
            // display password form if allowed
            if ($displayPasswordForm)
            {
              $userLoginToChange=strtolower($_POST['form_item_login']);  
              include 'user_password_form.php';
            }
            $displayTable=false;          
          }    
        }
      }
    break;    
    
    case 'switch_filter_us_done':
      // update user pref on auto filter for US done  
      $request->sqlGet("UPDATE framework_users 
                        SET user_pref_filter_on_for_us_done=NOT(user_pref_filter_on_for_us_done)
                        WHERE user_login='".$_REQUEST['login_to_update']."'");          
    break;    
    
  }?>