<?php
/**
 * Update Admin for a project
 *
 * PHP version 5
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
session_start();

// check if session is started and an user is logged
if (isset($_SESSION['login']))
{    
    
  // get lib and scripts  
  define("PATHBASE",'../');
  $pathCommons=PATHBASE.'common_scripts/';  
  include PATHBASE.'conf/connect.conf';
  include PATHBASE.'libraries/classes/class_connexion_mysql.php';
  include PATHBASE.'libraries/classes/class_workflow.php';
  include $pathCommons.'date_hour.php';
  include $pathCommons.'app_functions.php';
  include $pathCommons.'functions.php';
 
  // filter vars
  $projectId=intval($_POST['project_id']);
  // init project workflow  
  $wkf=new workflow('PRJ',PARAM_DB_PREFIX.'framework_workflows',PARAM_DB_PREFIX.'framework_status',PARAM_DB_PREFIX.'framework_workflows_transitions',$_SESSION['language']);
  // update status
  $wkf->change_object_status($projectId,intval($_POST['new_project_status']));
  
  echo 'OK';
}?>