<?php
/**
 * Languages management
 *
 * PHP versions 4 and 5
 *
 * @".PARAM_DB_PREFIX."framework_ Scripts
 * @package  ProjectMngtAdministration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     
define("PATHBASE",'../');
require_once PATHBASE.'header.php';
$targetFile='languages.php?';
$cnx=new connexion_db();

$displayTable=true;
  
// check token  
if (appUtils::checkToken())
{        
  // action allowed          
  switch ($_REQUEST['action'])
  {
    case 'change_language_status':
      $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."framework_languages 
                               SET language_status=".$_REQUEST['situation']." 
                               WHERE language_tag='".$_GET['language_tag']."'",$cnx->num);  
    break;   
  }
}

    // set token  
    appUtils::initToken(); 
    // add token to target file
    $targetFile=addParamUrl($targetFile,'token='.appUtils::getToken());  
    $sqlLanguages="SELECT language_tag,language_name,language_status 
                   FROM ".PARAM_DB_PREFIX."framework_languages"; 
    $request=new sqlRequest($sqlLanguages,$cnx->num); 	  	     
    $request->countRows();
    $pageNumbering=new changePage('page_languages',$request->rowCount,$targetFile,$pathImages,getParameter('PGNUBR',$cnx->num));
           
    $sortColumn=new sortColumn('lang_sort',$targetFile,$pathImages);
    $pageNumbering->displayNavigator($text_no_item);?>
     <table class="zebraTable">
       <tr>
	     <th></th>
         <th><?php echo $text_tag; $sortColumn->displaySortButtons('language_tag');?></th> 
         <th><?php echo $text_language; $sortColumn->displaySortButtons('language_name');?></th>
         <th><?php echo $text_situation;?></th>
         <th></th>
       </tr><?php
    $request=new sqlRequest($sqlLanguages.$sortColumn->returnSqlOrderBy().$pageNumbering->returnSqlLimit(),$cnx->num);
    $resultsArray=$request->getArrayFields();
              
    for ($i=0;$i<count($resultsArray);$i++)
    {
      // Check if language is available
      $isAvailable=true;
      // file <lang>_ihm_messages.php exists
      if (!file_exists(PATHBASE.'/messages/'.$resultsArray[$i]['language_tag'].'_ihm_messages.php'))
      {
	$isAvailable=false;
      }
      // file <lang>_js_messages.php exists 
      if (!file_exists(PATHBASE.'/messages/'.$resultsArray[$i]['language_tag'].'_js_messages.php'))
      {
	$isAvailable=false;
      }	
      $msg= $isAvailable ?  $msg_language_available : $msg_language_data_missing;	 ?>
         <tr>
	   <td><img src="<?php echo $pathImages.'/flags/'.$resultsArray[$i]['language_tag'].'.png';?>"></td>
           <td><?php echo $resultsArray[$i]['language_tag'];?></td>
           <td><?php echo $resultsArray[$i]['language_name'];?></td>
           <td><?php echo $msg;?></td>
           <td><?php 
             if ($isAvailable)
             {
               $boolOnOff=$resultsArray[$i]['language_status']; 
               $urlButtonOnOff=$targetFile.'&action=change_language_status&language_tag='.$resultsArray[$i]['language_tag'].'&situation='.($boolOnOff==1?0:1);
               include  $pathCommons.'on_off_button_small.php';
             }?>
           </td>

         </tr><?php
       }?>
     </table><?php

$cnx->close();  

require_once PATHBASE.'footer.php';?>