<?php
/**
 * Profiles management
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:Profiles
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     
define("PATHBASE",'../');
require_once PATHBASE.'header.php';
$targetFile='profiles.php?';
$cnx=new connexion_db();

if (!isset($_SESSION['mng_profile_id']))
{
  $_SESSION['mng_profile_id']=0;
}  

if (isset($_REQUEST['mng_profile_id']))
{
  $_SESSION['mng_profile_id']=$_REQUEST['mng_profile_id'];
}

$profileTypeList['LOCAL']=$text_local;
$profileTypeList['GLOBAL']=$text_global;

$displayTable=true;

// check token  
if (appUtils::checkToken())
{        
  // action allowed 
  switch ($_REQUEST['action'])
  {
  	case 'delete':
  	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."framework_profiles WHERE profile_id=".$_REQUEST['id_to_delete'],$cnx->num);
	  $request->sqlGet("DELETE FROM ".PARAM_DB_PREFIX."framework_profiles_constitution_actions WHERE profile_id_fk=".$_REQUEST['id_to_delete']);
	  $request->sqlGet("DELETE FROM ".PARAM_DB_PREFIX."framework_profiles_constitution_menus WHERE profile_id_fk=".$_REQUEST['id_to_delete']);
	  $request->sqlGet("DELETE FROM ".PARAM_DB_PREFIX."framework_workflows_transitions_profiles WHERE profile_id_fk=".$_REQUEST['id_to_delete']);?>
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_deleted;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;
	  
  	case 'modify':
  	  $request=new sqlRequest("SELECT profile_name,profile_type,profile_tag FROM ".PARAM_DB_PREFIX."framework_profiles WHERE profile_id=".intval($_REQUEST['id_to_modify']),$cnx->num);
      $profile=$request->getObject();?>
      <form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>&action=submit_modify" method="post" enctype="multipart/form-data" name="form_profile">
       <fieldset class="fieldset">
         <legend class="legend"><?php echo $legend_changing_m.' '.lcfirst($text_profile);?></legend>
         <input type="hidden" name="form_item_profile_id" value="<?php echo $_REQUEST['id_to_modify'];?>">
         <?php appUtils::insertTokenInForm();?>
         <label class="label required_field50" ><?php echo $text_tag;?></label>
         <input class="std_form_field" name="form_item_tag" type="text" size="15" maxlength="15" value="<?php echo $profile->profile_tag;?>" /><div class="clearleft"></div>			 
         <label class="label required_field50" ><?php echo $text_profile;?></label>
         <input class="std_form_field" name="form_item_profile" type="text" size="30" value="<?php echo $profile->profile_name;?>" /><div class="clearleft"></div>
         <label class="label required_field50" ><?php echo $text_type;?></label>
	     <input class="readonly_form_field" readonly="readonly" name="form_item_type" value="<?php echo $profileTypeList[$profile->profile_type];?>" type="text">	  
		 <div class="clearleft"></div>		 
         <br /><?php
           displayButton($button_submit,'','javascript:CheckFormProfile()','tsc_awb_medium tsc_awb_green tsc_flat');	
           displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
	
       </fieldset><div class="clearleft"></div>
      </form><?php
      $displayTable=false;  	
    break;	
     
    case 'submit_modify':
  	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."framework_profiles 
	                        SET profile_name='".$_POST['form_item_profile']."',profile_tag='".$_POST['form_item_tag']."' 
	                        WHERE profile_id=".$_REQUEST['form_item_profile_id'],$cnx->num);?>
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_updated;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;  
     
    case 'new':?>
      <form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>&action=submit_new" method="post" enctype="multipart/form-data" name="form_profile">
       <fieldset class="fieldset">
       <legend class="legend"><?php echo $legend_creation_m.' '.lcfirst($text_profile);?></legend>
         <?php appUtils::insertTokenInForm();?>
         <label class="label required_field50" ><?php echo $text_tag;?></label>
         <input class="std_form_field" name="form_item_tag" type="text" size="15" maxlength="15" /><div class="clearleft"></div>	   
         <label class="label required_field50" ><?php echo $text_profile;?></label>
         <input class="std_form_field" name="form_item_profile" type="text" size="30" /><div class="clearleft"></div>
         <label class="label required_field50" ><?php echo $text_type;?></label>
	       <input name="form_item_type" value="GLOBAL" type="radio" checked="checked"><?php echo $text_global;?>
           <input name="form_item_type" value="LOCAL" type="radio" ><?php echo $text_local;?>		  
		 <div class="clearleft"></div>			 
         <br /><?php
           displayButton($button_submit,'','javascript:CheckFormProfile()','tsc_awb_medium tsc_awb_green tsc_flat');	
           displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
	
       </fieldset><div class="clearleft"></div>
      </form> <?php
      $displayTable=false;
    break;
    
    case 'submit_new':
  	  $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."framework_profiles (profile_name,profile_type,profile_tag) 
	                        VALUES ('".$_POST['form_item_profile']."','".$_POST['form_item_type']."','".$_POST['form_item_tag']."')",$cnx->num);?>
  	  <div class="MessageBox ConfirmationMessageBox"><?php echo $msg_object_created;?></div>           <script>$('.ConfirmationMessageBox').delay(<?php echo $delayMsg;?>).slideUp("slow");</script><?php
    break;
	
	case 'activate_menu':
	  $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."framework_profiles_constitution_menus (profile_id_fk,menu_tag_fk) VALUES (".$_SESSION['mng_profile_id'].",'".$_REQUEST['menu_tag']."')",$cnx->num);
	break;
	
	case 'disable_menu':
	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."framework_profiles_constitution_menus WHERE profile_id_fk=".$_SESSION['mng_profile_id']." AND menu_tag_fk='".$_REQUEST['menu_tag']."'",$cnx->num);
	break;	
	
	case 'activate_action':
	  $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."framework_profiles_constitution_actions (profile_id_fk,action_tag_fk) VALUES (".$_SESSION['mng_profile_id'].",'".$_REQUEST['action_tag']."')",$cnx->num);
	break;
	
	case 'disable_action':
	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."framework_profiles_constitution_actions WHERE profile_id_fk=".$_SESSION['mng_profile_id']." AND action_tag_fk='".$_REQUEST['action_tag']."'",$cnx->num);
	break;	
	
	case 'activate_transition':
	  $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."framework_workflows_transitions_profiles (profile_id_fk,transition_id_fk) VALUES (".$_SESSION['mng_profile_id'].",".$_REQUEST['transition_id'].")",$cnx->num);
	break;
	
	case 'disable_transition':
	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."framework_workflows_transitions_profiles WHERE profile_id_fk=".$_SESSION['mng_profile_id']." AND transition_id_fk=".$_REQUEST['transition_id'],$cnx->num);
	break;		

	case 'set_default':
	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."framework_profiles SET profile_default=0",$cnx->num);
	  $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."framework_profiles SET profile_default=1 WHERE profile_id=".$_REQUEST['profile_id_2set']);
	break;	
  }  	 
}
if ($_SESSION['mng_profile_id']==0)
{
  if ($displayTable)
  {
    // set token  
    appUtils::initToken(); 
    // add token to target file
    $targetFile=addParamUrl($targetFile,'token='.appUtils::getToken());  
    
     displayButton($button_new_profile,'',$targetFile.'&action=new','tsc_awb_small tsc_awb_blue tsc_flat');	
     
     $sql_profiles="SELECT profile_id,profile_name FROM ".PARAM_DB_PREFIX."framework_profiles"; 
     $request=new sqlRequest($sql_profiles,$cnx->num); 	  	     
     $request->countRows();
     $pageNumbering=new changePage('page_profiles',$request->rowCount,$targetFile,$pathImages,getParameter('PGNUBR',$cnx->num));
           
     $sortColumn=new sortColumn('profile_sort',$targetFile,$pathImages);
     $pageNumbering->displayNavigator($text_no_item);?>
     <table class="zebraTable">
       <tr> 
	     <th><?php echo $text_tag; $sortColumn->displaySortButtons('profile_tag');?></th>
         <th><?php echo $text_profile; $sortColumn->displaySortButtons('profile_name');?></th>
		 <th><?php echo $text_type; $sortColumn->displaySortButtons('profile_type');?></th>
		 <th><center><a href="#" tooltip="<?php echo $text_actions;?>"><img src="<?php echo $pathImages;?>action.gif" border="0"  /></a></center></th>		 		 
         <th><center><a href="#" tooltip="<?php echo $text_management;?>"><img src="<?php echo $pathImages;?>tools.png" border="0" /></a></center></th>       
       </tr><?php
       $request=new sqlRequest("SELECT profile_id,profile_name,profile_tag,profile_default,profile_type,workflow_translation_value AS wf_name FROM ".PARAM_DB_PREFIX."framework_profiles LEFT JOIN ".PARAM_DB_PREFIX."framework_workflows ON wf_favorite_profile_id_fk=profile_id LEFT JOIN ".PARAM_DB_PREFIX."framework_workflows_translations ON wf_id=workflow_id_fk AND workflow_translation_language='".$_SESSION['language']."' ".$sortColumn->returnSqlOrderBy().$pageNumbering->returnSqlLimit(),$cnx->num);
     
       $resultsArray=$request->getArrayFields();       
       for ($i=0;$i<count($resultsArray);$i++)
       {
         $request->sqlGet("SELECT COUNT(user_login) AS nb_item FROM ".PARAM_DB_PREFIX."framework_users WHERE user_profile_id_fk=".$resultsArray[$i]['profile_id']);
         $user_check=$request->getObject();?>
         <tr>
		   <td><?php echo $resultsArray[$i]['profile_tag']; ?></td>
           <td><?php
		   	  if ($resultsArray[$i]['profile_default']==1)
			  {?>
			    <img src="<?php echo $pathImages;?>set_default.gif" border="0"  /> <?php
			  }?>
		      <a href="<?php echo $targetFile;?>&mng_profile_id=<?php echo $resultsArray[$i]['profile_id']; ?>" class="std_link"><?php echo $resultsArray[$i]['profile_name'];?></a></td>
           <td><?php echo $profileTypeList[$resultsArray[$i]['profile_type']]; ?></td>
		   <td class="nowrap"><center><?php
             if ($resultsArray[$i]['profile_default']==0)
             {?>
			   <a href="<?php echo $targetFile;?>&action=set_default&profile_id_2set=<?php echo $resultsArray[$i]['profile_id'];?>" tooltip="<?php TextDisplay($action_set_as_default);?>"><img src="<?php echo $pathImages;?>set_default.gif" border="0"  /></a><?php
             }?>   </center>
		   </td> 	
		   <td class="nowrap"><center>
		      <a href="<?php echo $targetFile;?>&action=modify&id_to_modify=<?php echo $resultsArray[$i]['profile_id'];?>" tooltip="<?php TextDisplay($action_delete);?>"><img src="<?php echo $pathImages;?>edit.png" border=0 /></a>
              <a href="<?php echo $targetFile;?>&mng_profile_id=<?php echo $resultsArray[$i]['profile_id']; ?>" tooltip="<?php TextDisplay($action_manage);?>"><img src="<?php echo $pathImages;?>manage.gif" border=0 /></a><?php
                 if ($user_check->nb_item==0)
                 {?>
                    <a href="<?php echo $targetFile;?>&action=delete&id_to_delete=<?php echo $resultsArray[$i]['profile_id'];?>" onclick="return confirm('<?php echo $msg_confirm_delete_object;?>');" tooltip="<?php TextDisplay($action_delete);?>"><img src="<?php echo $pathImages;?>delete.png" border=0 /></a><?php
                 }?>   </center>
          </td>                      
         </tr><?php
       }?>
     </table><?php
  }
}
else
{
  // set token  
  appUtils::initToken(); 
  // add token to target file
  $targetFile=addParamUrl($targetFile,'token='.appUtils::getToken());      
  // display tables to manage the three axes of the profile : menus, actions, workflows transitions
  $request=new sqlRequest("SELECT * FROM ".PARAM_DB_PREFIX."framework_profiles WHERE profile_id=".$_SESSION['mng_profile_id'],$cnx->num);
  $profileData=$request->getObject();?>
  <div class="MessageBox InformationMessageBox"><?php echo $msg_managing_profile.' : '.$profileData->profile_name;?></div><?php
  displayButton($button_back_to_list,'',$targetFile.'&mng_profile_id=0','tsc_awb_small tsc_awb_gray tsc_flat');	?>
  <div class="clearleft"></div><?php  
  
  // Get menus 
  $request->sqlGet("SELECT menu_tag,menu_translation_value AS menu_text,profile_id_fk,menu_father FROM ".PARAM_DB_PREFIX."framework_menus_translations,".PARAM_DB_PREFIX."framework_menus LEFT JOIN ".PARAM_DB_PREFIX."framework_profiles_constitution_menus ON ".PARAM_DB_PREFIX."framework_profiles_constitution_menus.menu_tag_fk=menu_tag AND profile_id_fk=".$_SESSION['mng_profile_id']." WHERE menu_tag=".PARAM_DB_PREFIX."framework_menus_translations.menu_tag_fk AND menu_translation_language='".$_SESSION['language']."' ORDER BY menu_father,menu_order");
  $request->getArrayFields();       
  $resultsArray=array();
  $resultsArraySubMenu=array();
  $cpt=0;
  for ($i=0;$i<$request->rowCount;$i++)  
  {
    if ($request->array[$i]['menu_father']=='')
	{
      $resultsArray[$cpt]=$request->array[$i];  
	}  
	else
	{
	  $resultsArraySubMenu[$request->array[$i]['menu_father']][]=$request->array[$i];
	}
	$cpt++;
  }?>
  <div class="block25">
      <table class="zebraTable"  cellpadding="0" cellspacing="0">
       <tr> 
         <th  colspan="2"><?php echo $text_menu; ?></th>
         <th></th>       
       </tr><?php
       for ($i=0;$i<count($resultsArray);$i++)
       {?>
         <tr class="alt">
           <td colspan="2"><?php echo $resultsArray[$i]['menu_text'];?></td>
           <td><?php
		     if ($resultsArray[$i]['profile_id_fk']!='')
			 {?>
		       <a href="<?php echo $targetFile;?>&action=disable_menu&menu_tag=<?php echo $resultsArray[$i]['menu_tag'];?>"tooltip="<?php TextDisplay($action_disable);?>"><img src="<?php echo $pathImages;?>power_on.png" border=0 /><?php
			 }
		     else
			 {?>
		       <a href="<?php echo $targetFile;?>&action=activate_menu&menu_tag=<?php echo $resultsArray[$i]['menu_tag'];?>"tooltip="<?php TextDisplay($action_activate);?>"><img src="<?php echo $pathImages;?>power_off.png" border=0 /><?php
			 }?>			 
		   </td>
         </tr><?php
		 if (isset($resultsArraySubMenu[$resultsArray[$i]['menu_tag']]))
		 {
		   for ($j=0;$j<count($resultsArraySubMenu[$resultsArray[$i]['menu_tag']]);$j++)
		   {?>
              <tr>
			   <td width="20"></td> 
               <td><?php echo $resultsArraySubMenu[$resultsArray[$i]['menu_tag']][$j]['menu_text'];?></td>
               <td><?php 
			     if ($resultsArraySubMenu[$resultsArray[$i]['menu_tag']][$j]['profile_id_fk']!='')
				 {?>
		             <a href="<?php echo $targetFile;?>&action=disable_menu&menu_tag=<?php echo $resultsArraySubMenu[$resultsArray[$i]['menu_tag']][$j]['menu_tag'];?>"tooltip="<?php TextDisplay($action_disable);?>"><img src="<?php echo $pathImages;?>power_on.png" border=0 /><?php
				 }
				 else
				 {?>
		             <a href="<?php echo $targetFile;?>&action=activate_menu&menu_tag=<?php echo $resultsArraySubMenu[$resultsArray[$i]['menu_tag']][$j]['menu_tag'];?>"tooltip="<?php TextDisplay($action_activate);?>"><img src="<?php echo $pathImages;?>power_off.png" border=0 /><?php
				 }?>
			   </td>
             </tr><?php
		   
		   }
		 } 
       }
	   unset($resultsArray);?>	 
     </table>	   
  </div><?php
  // Get actions
  $request->sqlGet("SELECT action_tag,action_translation_value AS action_name,profile_id_fk FROM ".PARAM_DB_PREFIX."framework_profiles_actions_translations,".PARAM_DB_PREFIX."framework_profiles_actions LEFT JOIN ".PARAM_DB_PREFIX."framework_profiles_constitution_actions ON action_tag=".PARAM_DB_PREFIX."framework_profiles_constitution_actions.action_tag_fk AND profile_id_fk=".$_SESSION['mng_profile_id']." WHERE ".PARAM_DB_PREFIX."framework_profiles_actions_translations.action_tag_fk=action_tag AND action_translation_language='".$_SESSION['language']."' ORDER BY action_name");
  $resultsArray=$request->getArrayFields();  ?>
 
  <div class="block35">
     <table class="zebraTable"  cellpadding="0" cellspacing="0">
       <tr> 
         <th colspan="2"><?php echo $text_actions; ?></th>
         <th></th>       
       </tr><?php
       for ($i=0;$i<count($resultsArray);$i++)
       {?>
         <tr class="alt">
           <td colspan="2"><?php echo $resultsArray[$i]['action_name'];?></td>
           <td><?php
		     if ($resultsArray[$i]['profile_id_fk']!='')
			 {?>
		       <a href="<?php echo $targetFile;?>&action=disable_action&action_tag=<?php echo $resultsArray[$i]['action_tag'];?>"tooltip="<?php TextDisplay($action_disable);?>"><img src="<?php echo $pathImages;?>power_on.png" border=0 /><?php
			 }
			 else
			 {?>
		       <a href="<?php echo $targetFile;?>&action=activate_action&action_tag=<?php echo $resultsArray[$i]['action_tag'];?>"tooltip="<?php TextDisplay($action_activate);?>"><img src="<?php echo $pathImages;?>power_off.png" border=0 /><?php
			 }?>			 
		   </td>
         </tr><?php
       }
	 //  unset($resultsArray);?>	 
     </table>	     
  </div><?php
  $current_wf='';
  $request->sqlGet("SELECT workflow_translation_value AS wf_name,wf_id,transition_id,
   (SELECT status_translation_value FROM ".PARAM_DB_PREFIX."framework_status,".PARAM_DB_PREFIX."framework_status_translations WHERE status_id=transition_initial_status AND status_id_fk=status_id AND status_translation_language='".$_SESSION['language']."') AS initial_status,
   (SELECT status_order FROM ".PARAM_DB_PREFIX."framework_status,".PARAM_DB_PREFIX."framework_status_translations WHERE status_id=transition_initial_status AND status_id_fk=status_id AND status_translation_language='".$_SESSION['language']."') AS status_order,
   (SELECT status_translation_value FROM ".PARAM_DB_PREFIX."framework_status,".PARAM_DB_PREFIX."framework_status_translations WHERE status_id=transition_final_status AND status_id_fk=status_id AND status_translation_language='".$_SESSION['language']."')AS final_status,
   (SELECT status_icon FROM ".PARAM_DB_PREFIX."framework_status WHERE status_id=transition_initial_status) AS initial_status_icon,
   (SELECT status_icon FROM ".PARAM_DB_PREFIX."framework_status WHERE status_id=transition_final_status)AS final_status_icon,
    profile_id_fk 
    FROM ".PARAM_DB_PREFIX."framework_workflows,".PARAM_DB_PREFIX."framework_workflows_translations,".PARAM_DB_PREFIX."framework_workflows_transitions LEFT JOIN ".PARAM_DB_PREFIX."framework_workflows_transitions_profiles ON transition_id_fk=transition_id AND profile_id_fk=".$_SESSION['mng_profile_id']." WHERE workflow_translation_language='".$_SESSION['language']."' AND workflow_id_fk=wf_id AND transition_wf_id_fk=wf_id ORDER BY wf_id,status_order");
  $resultsArray=$request->getArrayFields();       
  // Get workflows transitions  ?>
  <div class="block40">
     <table class="zebraTable" cellpadding="0" cellspacing="0">
       <tr> 
	     <th><?php echo $text_workflow; ?></th>
         <th colspan="3"><?php echo $text_transitions; ?></th>
         <th></th>       
       </tr><?php
       for ($i=0;$i<count($resultsArray);$i++)
       {?>
         <tr >
		   <td><?php
    	   if ($resultsArray[$i]['wf_id']!=$current_wf)
	       {
		     echo $resultsArray[$i]['wf_name'];
			 $current_wf=$resultsArray[$i]['wf_id'];
		   }?>
		   </td>
           <td><img src="<?php echo $pathImages.$resultsArray[$i]['initial_status_icon'];?>" border=0 /> <?php echo $resultsArray[$i]['initial_status'];?></td>
		   <td width="16"><img src="<?php echo $pathImages;?>transition.gif" border=0 /></td>
		   <td><img src="<?php echo $pathImages.$resultsArray[$i]['final_status_icon'];?>" border=0 /> <?php echo $resultsArray[$i]['final_status'];?></td>
           <td><?php
		     if ($resultsArray[$i]['profile_id_fk']!='')
			 {?>
		       <a href="<?php echo $targetFile;?>&action=disable_transition&transition_id=<?php echo $resultsArray[$i]['transition_id'];?>"tooltip="<?php TextDisplay($action_disable);?>"><img src="<?php echo $pathImages;?>power_on.png" border=0 /></a><?php
			 }
			 else
			 {?>
		       <a href="<?php echo $targetFile;?>&action=activate_transition&transition_id=<?php echo $resultsArray[$i]['transition_id'];?>"tooltip="<?php TextDisplay($action_activate);?>"><img src="<?php echo $pathImages;?>power_off.png" border=0 /><?php
			 }?>				 
		   </td>
         </tr><?php
       }
	   unset($resultsArray);?>	 
     </table>  
  </div>
  <div class="clearleft"></div><?php  
}
$cnx->close();  

require_once PATHBASE.'footer.php';?>

