<?php
/**
 * Users management : form to create and modify a password for an user
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:users
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

// set var to display cancel button
$displayCancelButton= isset($displayCancelButton) ? $displayCancelButton : true;
// set var to display current password check
$currentPasswordCheck= isset($currentPasswordCheck) ? $currentPasswordCheck : false;
// set var for using password inputs as form or as inputs in another form
$useAsForm=isset($useAsForm) ? $useAsForm : true;
  ?><div class="MessageBox WarningMessageBox"><?php TextDisplay($msg_password_rules);?></div><?php
if ($useAsForm)
{?>  
       <form  class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>&action=update_password" method="post" enctype="multipart/form-data" name="form_user_password">
       <?php appUtils::insertTokenInForm();?>
       <input type="hidden" name="user_login" value="<?php echo $userLoginToChange;?>" />
       <fieldset class="fieldset">
           <legend class="legend"><?php TextDisplay($text_change_password);?></legend><?php
}   

  
// inputs for password
           if ($currentPasswordCheck)
           {?>
             <label class="label required_field200" id="current_password_fill_label"><?php TextDisplay($text_current_password);?></label>
             <input class="std_form_field" name="form_item_current_password" type="password" id="current_password_fill" size="20" maxlength="<?php echo LG_MAX_PASS;?>" /><div class="clearleft"></div> <br /><?php
           }
           // include password change mini form
           include PATHBASE.'administration/user_change_password_form.php';?>
         <br /><?php
if ($useAsForm)
{
	     displayButton(TextFormat($button_submit),'',"javascript:CheckFormPassword()",'tsc_awb_medium tsc_awb_green tsc_flat');
             if ($displayCancelButton)
             {
               displayButton(TextFormat($button_cancel),'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');   
             }   ?>

       </fieldset><div class="clearleft"></div>
      </form><?php
}