<?php

/**
 * bootstrap for settings used for fancybox forms
 *
 * @category 
 * @package  forms
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

  // filter item type  
  $filteredItemType=filterItemType($_REQUEST['item_type']);
  // get the basic object tag managed in the form, the filtered item being specific to context
  $simpleItemType=getSimpleItemType($filteredItemType);

  // Include specific settings  for the form, depending on the object to be created
  require_once PATHBASE.'boards_settings/settings_'.$filteredItemType.'.php';

  /* set dashboard settings */
  require_once PATHBASE.'dashboard_settings.php';

  // init hidden input flag : not useful if there is no parent object for the
  // one to be created
  if (!isset($addHiddenInput))
  {
    $addHiddenInput=false;
  }
?>
