<?php
/**
 * Settings to manage UserStories of a project in a poker_planning dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement:ObjectSettings
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
 
$tableData=PARAM_DB_PREFIX.'kados_template_activities';
$fieldsList="template_activity_id,text AS text,xpos,ypos,zpos,color,status,
'' AS header_stamp,'' AS link,template_activity_id AS issue_number,NULL AS creation_date,
'' AS creator,NULL AS last_update,'' AS last_updater,
 '' AS infoBottomLeft,'' AS infoBottomRight";
$objectTag='D';
$initialValue=0;
$itemIdName='template_activity_id';
$itemNumberName='template_activity_id';
$fieldForSorting='template_activity_id';
$fieldForOrder='ypos';
$targetFileAction='template_checklist.php?menu_lev2=app_tpl_checklist';
$clauseWhereElements=" ";
$clauseWhereElementsGetAll=" ";

if (isset($_SESSION['filter_issue']))
{
  $clauseWhereElementsGetAll.=" AND color='".$_SESSION['filter_issue']."'";
}

$parentRefId='none';
$managedField='status';
/* position field for the axis used in the dashboard*/
$xPosField='xpos';
$yPosField='ypos';
$zPosField='zpos';
?>