<?php
/**
 *
 * Tag Management
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
class tag {
  var $cnxTag;   
  var $id;
  var $label;
  var $owner;
  var $ownerName;
  var $color;
  var $type;
  var $status;
  var $postitType;
  var $groupName;
  var $groupId;
  
  function __construct($cnx_num)
  {
    // init classe
    // connect to DB  
    $this->cnxTag=$cnx_num;
  }
  
  function getData($tagId=0)
  {
    $request=new sqlRequest("SELECT tag_id,tag_label,tag_color,tag_type,status_translation_value,tag_owner,
                                    CONCAT(user_firstname,' ',user_name) AS tag_owner_name, tag_postit_type,
                                    tag_group_id_fk
                             FROM ".PARAM_DB_PREFIX."kados_tags,".PARAM_DB_PREFIX."framework_status_translations 
                             WHERE tag_owner=user_login 
                               AND tag_status_id_fk=status_id_fk 
                               AND tag_id=".($tagId!=0 ? $tagId  : $this->id),$this->cnxTag);
     $request->countRows();
     if ($request->rowCount!=0)
     {    
       $request->getObject(); 
       $this->id=$request->objet->tag_id;  
       $this->label=$request->objet->tag_label;  
       $this->status=$request->objet->status_translation_value;
       $this->owner=$request->objet->tag_owner;
       $this->ownerName=$request->objet->tag_owner_name;
       $this->color=$request->objet->tag_color;
       $this->type=$request->objet->tag_type;
       $this->postitType=$request->objet->tag_postit_type;
       $this->groupId=$request->objet->tag_group_id_fk;
       $this->groupName='';
     }
     else
     {    
       $this->id=0;  
       $this->label='';  
       $this->status='';
       $this->owner='';
       $this->ownerName='';
       $this->color='';
       $this->type='';
       $this->postitType='';
       $this->groupId=0;
       $this->groupName='';
     }       
  }
  
  function addToPostit($postitId,$tagId=0,$type='')
  {
    // add tag  
    $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."kados_tags_postit 
                             (tag_id_fk, postit_id_fk,postit_type, tagged_date, tagged_by )
                             VALUES
                             (".($tagId!=0 ? $tagId  : $this->id).",".intval($postitId).", '".strtoupper(($type!='' ? $type : $this->postitType))."', 
                              '".aujourdhui().' '.heure_brute()."','".$_SESSION['login']."')",$this->cnxTag);      
  }
  
  function removeFromPostit($postitId,$tagId=0,$type='')
  {
    // remove tag  
    $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."kados_tags_postit
                             WHERE postit_id_fk=".intval($postitId)." 
                               AND tag_id_fk=".($tagId!=0 ? $tagId  : $this->id)."
                               AND postit_type='".strtoupper(($type!='' ? $type : $this->postitType))."'",$this->cnxTag);    
  }  
}
?>