<?php
/**
 * Deck to store tasks out of the matrix dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

$displayDeckButtons = isset($displayDeckButtons) ? $displayDeckButtons : false;
?>
<div class="deck"><?php
if ($displayDeckButtons)        
{?>
<table style="margin-right:8px;" cellpadding="0" cellspacing="0">    
    <tr>
        <td><img  class="openDeck" src="<?php echo $pathImages;?>app/deck.png" title="<?php echo $button_open_deck;?>"/></td>
        <td style="padding-right:5px;padding-left:5px;"><?php echo count($deckItemsArray); ?> US </td>    
        <td><a href="<?php echo $targetFile;?>&empty_deck=true"><img src="<?php echo $pathImages;?>app/deck-out.png" title="<?php echo $button_empty_deck;?>"/></a>
<a href="<?php echo $targetFile;?>&fill_deck=true"><img src="<?php echo $pathImages;?>app/deck-in.png" title="<?php echo $button_fill_in_deck;?>"/></a>
<a href="<?php echo $targetFile;?>&action=filter_my_tasks"><img src="<?php echo $pathImages;?>app/deck-mine.png" title="<?php echo $button_push_into_deck;?>"/></a></td><?php
}?>
</tr>      
</table>
</div>
