<?php
/**
 * form to create a project
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:projects
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */

      require_once PATHBASE.'templates_projects_list.php'; 
	  
      // get user from project creator
      $user=new appUser($cnx->num,$projectData->project_creator);
      // init checkadmin flag for JS
      $checkAdmin=0;
      ?>
      <form class="pure-form pure-form-aligned" action="<?php echo $projectTargetFile;?>?menu_lev1=cockpit&action=submit_<?php echo $_REQUEST['action'];?>" method="post" enctype="multipart/form-data" name="form_project">
       <fieldset class="fieldset">
       <legend class="legend"><?php echo $form_legend;?></legend>
          <input type="hidden" name="project_id" value="<?php echo $projectData->project_id;?>" />
          <?php appUtils::insertTokenInForm();?>
          <label class="label required_field100"><?php echo $text_project_admin;?></label><?php
          if (in_array('ADD_PRJ_OTHERS',$_SESSION['user_actions']))
	  {
            if (in_array($_REQUEST['action'],array('new_ext_project','new_project')))  
            {?>
  	      <input name="form_item_project_admin" id="searchAnyUser" class="std_form_field" type="text" size="35"/>
	      <input name="form_item_project_admin_search" id="searchAnyUserId" type="hidden"/><?php
              $checkAdmin=1; ?>
	      <div class="clearleft"></div> <?php
            }
            else
            {?>
	       <input type="hidden" name="form_item_project_admin_lb" value="<?php echo $projectData->project_creator;?>" />
               <input class="readonly_form_field" readonly="readonly" type="text" size="30" value="<?php echo $user->getFullName();?>" /><?php
            }
          }
	  else
	  {?>
	     <input type="hidden" name="form_item_project_admin_lb" value="<?php echo $_SESSION['login'];?>" />
	     <input class="readonly_form_field" readonly="readonly" type="text" size="30" value="<?php echo $_SESSION['user_fullname'];?>" /><?php
	  }?><div class="clearleft"></div>
         <label class="label required_field100"  ><?php echo $text_name;?></label>
         <input <?php if ($projectData->project_external_project_id!=0) { echo 'class="readonly_form_field"';} else {echo 'class="std_form_field"'; }?> name="form_item_project_name" id="form_item_project_name" <?php if ($projectData->project_external_project_id!=0) { echo 'readonly="readonly"';}?> type="text" size="50" maxlength="50" value="<?php echo $projectData->project_name;?>"/><div class="clearleft"></div>

         <label class="label required_field100"><?php echo $text_project_levels;?></label>
         <select name="form_item_project_level" class="std_form_field_liste" ><?php
	      for ($j=3;$j>0;$j--)
	      {
	        if (in_array($j,$templateList))
		{?>
                 <option value="<?php echo $j;?>" <?php if ($j==$defaultTemplate) { echo 'selected="selected"';} ?>><?php echo $textProjectTemplates[$j];?></option><?php
	 	}  
	      } ?>
         </select>	 
		 <div class="clearleft"></div>
		 
         <label class="label length100" ><?php echo $text_status;?></label>
         <input type="hidden" name="form_item_project_status" value="<?php echo $projectData->project_status_id_fk;?>" />
         <input class="readonly_form_field" readonly="readonly" type="text" size="20" value="<?php echo $projectData->status_value;?>"/><div class="clearleft"></div>
         <br /><?php
		   displayButton($button_submit,'','javascript:CheckFormProject('.$checkAdmin.')','tsc_awb_medium tsc_awb_green tsc_flat');	
		   displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
   
       </fieldset><div class="clearleft"></div>
      </form> 
