/* JS document */
    /* project card */
    $(document).on('click','.project_card',function() {
        var id=parseInt($(this).find('span').text());
       
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('project_card.php?i='+id);
            },         
            minWidth:800,
            height:600,
            resizable:true,
            dialogClass:'popup',
            title: text_project,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });  
    
$(document).ready(function(){
   /* This code is executed after the DOM has been completely loaded */
    var pathBase="";
    if ($('.hidden-pathBase').text().length!=0)
    {
      pathBase=$('.hidden-pathBase').text();
    }   
    
    var tmp;
    
    /* Tooltip using Qtip2 */
    $('[tooltip!=""]').qtip({ // Grab all elements with a non-blank data-tooltip attr.
    content: {
        attr: 'tooltip' // Tell qTip2 to look inside this attr for its content
      },
      style: { classes: 'qtip-cream qtip-shadow qtip-rounded' }
    });
  
        
    $(".chosen-select").chosen();    
    $('#railway').xBreadcrumbs();
    
    /* display colors block after a dropdown list of available colors*/
    $('#selectedColor').change(function() {
        $('#selectedColorDisplay').removeClass();
        $('#selectedColorDisplay').addClass('colorDisplay');
        $('#selectedColorDisplay').addClass( $(this).val());
    });
    
    
    // history popup button for postit in any column board
    $('.historyButtton').click(function() {
        var id=$(this).parent().parent().find('span.data').text();
        var type=$(this).parent().parent().find('div.postitSimpleType').text();
       
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_history.php?i='+id+'&t='+type);
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title: text_history,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });    
 
   // history popup button for US at the head of swimline in sprint backlog
    $('.historyButttonMatrix').click(function() {
        var id=$(this).parent().parent().find('span.hidden-itemId').text();
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_history.php?i='+id+'&t=us');
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title: text_history,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });    
    
    // comments popup button for postit in any column board
    $('.commentsButton').click(function() {
        var id=$(this).parent().find('span.data').text();
        var type=$(this).parent().find('div.postitSimpleType').text();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_comments.php?i='+id+'&t='+type);
            },         
            minWidth:600,
            height:600,
            resizable:true,
            title: text_comments,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }
        });
    });      

    // comments popup button for US at the head of swimline in sprint backlog
    $('.commentsButtonMatrix').click(function() {
        var id=$(this).parent().find('span.hidden-itemId').text();
        var type=$('.masterItemType').html();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_comments.php?i='+id+'&t='+type+'&l=master');
            },         
            minWidth:600,
            height:600,
            resizable:true,
            title: text_comments,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }
        });
    });   
    
    // comments popup button for postit in home page
    $('.commentsButtonHome').click(function() {
        var id=$(this).find('span.usId').text();

        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_comments.php?i='+id+'&t=US');
            },         
            minWidth:600,
            height:600,
            resizable:true,
            title: text_comments,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }
        });
    });    
    
    // attachments popup button for postit in any column board
    $('.attachementsButton').click(function() {
        var id=$(this).parent().parent().parent().find('span.data').text();
        var type=$(this).parent().parent().parent().find('div.postitSimpleType').text();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_attachments.php?i='+id+'&t='+type);
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title:text_attachments,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });      
    
    // attachments popup button for US at the head of swimline in sprint backlog
    $('.attachementsButtonMatrix').click(function() {
        var id=$(this).parent().parent().parent().find('span.hidden-itemId').text();
        var type=$('.masterItemType').html();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_attachments.php?i='+id+'&t='+type);
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title:text_attachments,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });      
    
    // relationships popup button for postit in any column board
    $('.relationshipsButton').click(function() {
        var id=$(this).parent().find('span.data').text();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_relationships.php?i='+id);
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title: text_relationships,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }
        });
    });      

    // relationships popup button for US at the head of swimline in sprint backlog
    $('.relationshipsButtonMatrix').click(function() {
        var id=$(this).parent().find('span.hidden-itemId').text();
        
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('postit_relationships.php?i='+id+'&l=master');
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title: text_relationships,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }
        });
    });   
    
    /**************** DECK ***********************************/
    $('.openDeck').click(function() {
        $('<div>').dialog({
            position: { my: "center center", at: "center center", of: window } ,
            modal: true,
            open: function ()
            {
              $(this).load('deck_popup.php');
            },         
            minWidth:800,
            height:600,
            resizable:true,
            title:text_deck,
            close: function(ev, ui) { 
               // destroy dialog
               $(this).dialog('destroy')
            }            
        });
    });      
    
    // tags groups
    // update list of tags depending on the postit type chosen
    // used when creating a group
    $('#choosePostItType').on('change',function(){
       $.post(pathBase+'xmlhttprequest/get_tags_list.php',{scope:$('#TagGroupScope').val(),item_type:$(this).val()},function(msg){
          if(msg!='')
	  {
            var AnswerObject=jQuery.parseJSON(msg);  
            $('#tag_select_multiple').html('');

            var list_content='<option value="0"></option>';
            for (i=0;i<AnswerObject.length;i++)
            {
              list_content+='<option value="'+AnswerObject[i].tag_id+'">'+AnswerObject[i].tag_label+'</option>';
            }
            $('#tag_select_multiple').html(list_content);
            $("#tag_select_multiple").trigger("chosen:updated"); 
          } 
	});
    });

    // tags allocation
    // update list of tags depending on the postit type chosen
    // used when creating a group
    $('#choosePostItTypeInTag').on('change',function(){
       $.post(pathBase+'xmlhttprequest/get_postits_list.php',{scope:$('#TagPostitScope').val(),item_type:$(this).val()},function(msg){
          if(msg!='')
	  {
            var AnswerObject=jQuery.parseJSON(msg);  
            $('#postit_select_multiple').html('');

            var list_content='<option value="0"></option>';
            for (i=0;i<AnswerObject.length;i++)
            {
              list_content+='<option value="'+AnswerObject[i].use_color_id+'">'+AnswerObject[i].use_color_meaning+'</option>';
            }
            $('#postit_select_multiple').html(list_content);
            $("#postit_select_multiple").trigger("chosen:updated"); 
          } 
	});
    });    
    
    /* delete attached files */
    $('.attachedFiles_Delete').live('click',function(){
      $(this).parent().find('.attachedFiles_Text').css('text-decoration','line-through');
      var alreadyDelete=$(this).parent().parent().find('#files2delete').attr('value');
      if (alreadyDelete!='')
      {
        alreadyDelete=alreadyDelete+";"+$(this).parent().find('.attachedFiles_Text').html();
      }  
      else
      {
        alreadyDelete=$(this).parent().find('.attachedFiles_Text').html();
      }
      $(this).parent().parent().find('#files2delete').attr('value',alreadyDelete);
      $(this).parent().find('.attachedFiles_CancelDelete').show();
      $(this).hide();
    });	   
   
    $('.attachedFiles_CancelDelete').live('click',function(){
      $(this).parent().find('.attachedFiles_Text').css('text-decoration','none');
      var alreadyDelete=$(this).parent().parent().find('#files2delete').attr('value');
      alreadyDelete=alreadyDelete.replace($(this).parent().find('.attachedFiles_Text').html(),"");
      $(this).parent().parent().find('#files2delete').attr('value',alreadyDelete);
      $(this).parent().find('.attachedFiles_Delete').show();
      $(this).hide();
    });	   
    
    /* list of users for allocation*/
    // set effect to display/hide tag list
    $('.attachments_icon').click(function() {
      var options = {};
      var status=$(this).find('.attachments-list').css('display');
      if (status=='none')
      {
        $(this).find('.attachments-list').show( "", options, 250 );
      }
      else
      {
        $(this).find('.attachments-list').hide( "", options, 250 );
      }
    });	
       
   // message for search input us and task texts    
    $('#searchText_us').focus(function() {
       if ($(this).attr('value')==text_search_us)
       {
         $(this).attr('value','');
         $(this).removeClass('soft');
       }
    });

    $('#searchText_us').blur(function() {
       if ($(this).attr('value')=='')  
       {
         $(this).attr('value',text_search_us);
         $(this).addClass('soft');
       }  
    });    

    $('#searchText_task').focus(function() {
      if ($(this).attr('value')==text_search_task)
      {  
        $(this).attr('value','');
        $(this).removeClass('soft');
    }  
    });

    $('#searchText_task').blur(function() {
       if ($(this).attr('value')=='')  
       {
         $(this).attr('value',text_search_task);
         $(this).addClass('soft');
       }
    });      
   
   // listen for scroll
   var positionElementInPage = $('#menu').offset().top;
   $(window).scroll(
            function() {
                if ($(window).scrollTop() > positionElementInPage) {
                    // fixed
                    $('#menu').addClass("floatable");
                    $('.display_body').addClass("blockGap");
                } else {
                    // relative
                    $('#menu').removeClass("floatable");
                    $('.display_body').removeClass("blockGap");
                }
            }
    );

    $('#tag_filter').on('change',function(){
      if($(this).value!='')
      {
        
      }
    });
    
    // set effect to display/hide tag list
    $('.tag-zone-add').click(function() {
      var options = {};
      var status=$(this).find('.tag-list').css('display');
      if (status=='none')
      {
        $(this).find('.tag-list').show( "blind", options, 250 );
      }
      else
      {
        $(this).find('.tag-list').hide( "blind", options, 250 );
      }
    });	

    // set effect to show tags
    $('.tag-zone-out').click(function() {
	 var options = {};
     $(this).next().show( "slide", options, 250 );
    });	

    // set effect to hide tags
    $('.tag-zone').click(function() {
	 var options = {};
     $(this).hide( "slide", options, 250 );
    });		

   /* impact of resize on tags mini-slots */
   $('.postit_text').on('resize', function() {
      $(this).parent().find('.tag-zone').css('left',$(this).parent().css('width'));
      $(this).parent().find('.tag-zone-out').css('left',$(this).parent().css('width'));
      $(this).parent().find('.tag-zone-add').css('left',$(this).parent().css('width'));
    });    
    
   /* impact of resize on tags mini-slots for US in first static column*/
   $('.postit_text_static').on('resize', function() {
      $(this).parent().find('.tag-zone').css('left',$(this).parent().css('width'));
      $(this).parent().find('.tag-zone-out').css('left',$(this).parent().css('width'));
    });    
    


    /* list of users for allocation*/
    // set effect to display/hide tag list
    $('.allocate_user').click(function() {
      var options = {};
      var status=$(this).parent().find('.user-list').css('display');
      if (status=='none')
      {
        $(this).parent().find('.user-list').show( "", options, 250 );
      }
    });	
    
    $('.close_user_list').click(function() {
        var idImg=$(this).attr("id");
        var desc=idImg.split("_");
        $("#user_list_"+desc[1]).css('display','none');
    });	
    
    $('.hidden-column').click(function() {
      var options = {};
      var status=$(this).parent().find('.column-list').css('display');
      if (status=='none')
      {
        $(this).find('.column-list').show("", options, 250 );
      }
      else
      {
        $(this).find('.column-list').hide("", options, 250 );
      }
    });


    $('#searchUser').autocomplete({
       source: "xmlhttprequest/search_user.php",
       minLength: 2,
       select: function( event, ui ) {
            $('#searchUserId').attr('value',ui.item['id']);
       }
    });

    $('#searchAnyUser').autocomplete({
       source: "xmlhttprequest/search_any_user.php",
       minLength: 2,
       select: function( event, ui ) {
            $('#searchAnyUserId').attr('value',ui.item['id']);
       }
    });
    
    $('#bg_color').ColorPicker({
	  onSubmit: function(hsb, hex, rgb, el) {
		$(el).val(hex);
		$(el).ColorPickerHide();
	  },
	  onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	  },
	  onChange: function (hsb, hex, rgb,el) {
		$('#bg_color').val(hex);
	  }	
    })
    $('#border_color').ColorPicker({
	  onSubmit: function(hsb, hex, rgb, el) {
		$(el).val(hex);
		$(el).ColorPickerHide();
	  },
	  onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	  },
	  onChange: function (hsb, hex, rgb) {
		$('#border_color').val(hex);
	  }	
    })
	
    .bind('keyup', function(){
	   $(this).ColorPickerSetColor(this.value);
    });	
	
    /* Finding the biggest z-index value of the ".PARAM_DB_PREFIX."kados_tasks */
	if ($('span.itemType').text()!='')
	{
	  $.post(pathBase+'ajax/get_maxindex.php',{note_id:0,item_type : $('span.itemType').text()},function(msg){
	    if(msg!='')
	    {
	      data=msg.split(':');
	      if(parseInt(data[1])>zIndex) {zIndex = parseInt(data[1])};
        } 
	  });
    }	  


	$('.postit_text').each(function(){
	   var text='#note'+$(this).parent().find('span.data').text();
	   $(this).resizable({
		 alsoResize: text
	  });
	});		
	
	$('.postit_text_static').each(function(){
            
	   var text='#note_static'+$(this).parent().find('span.hidden-itemId').text();
           $(this).resizable({
		 alsoResize: text
	  });
	});		
	
	
	/* A helper function for converting a set of elements to draggables: */
	make_draggable($('.note'));

	$('.note').live('click',function(){
		/* on clicking a note , set zindex to be the highest  */
			$.post(pathBase+'ajax/get_maxindex.php',{note_id:$(this).find('span.data').text(),item_type : $('span.itemType').text()},function(msg){
			
			  if(msg!='')
			  {
			    data=msg.split(':');
				if(parseInt(data[1])>zIndex) {zIndex = parseInt(data[1])};
                $('div.note').each(function(){
				if (parseInt($(this).find('span.data').text())==parseInt(data[0]))
				{
				  $(this).css('z-index',++zIndex); 	  
				}
				});			  
			  } 
			});		
	})

	
	$('.note_static').live('click',function(){
		/* on clicking a static note , set zindex to be the highest  */
			$.post(pathBase+'ajax/get_maxindex.php',{note_id:$(this).find('span.data').text(),item_type : $('span.itemType').text()},function(msg){
			
			  if(msg!='')
			  {
			    data=msg.split(':');
				if(parseInt(data[1])>zIndex) {zIndex = parseInt(data[1])};
                $('div.note_static').each(function(){
				if (parseInt($(this).find('span.data').text())==parseInt(data[0]))
				{
				  $(this).css('z-index',++zIndex); 	  
				}
				});			  
			  } 
			});		
	})	
        
	/* Configuring the fancybox plugin for the "Add a release","Add a sprint" button: */
	$(".addButtonGeneric").fancybox({
		'zoomSpeedIn'		: 600,
		'zoomSpeedOut'		: 500,
		'easingIn'			: 'easeOutBack',
		'easingOut'			: 'easeInBack',
		'hideOnContentClick': false,
		'padding'			: 15,
                 hideOnOverlayClick:false,
	});	

       
    /* Configuring the fancybox plugin for the "Update a note" button: */
	$('.ulbtn').fancybox({
		'zoomSpeedIn'		: 600,
		'zoomSpeedOut'		: 500,
		'easingIn'			: 'easeOutBack',
		'easingOut'			: 'easeInBack',
		'hideOnContentClick': false,
		'padding'			: 15,
                 hideOnOverlayClick:false,
	});

	/* Listening for keyup events on fields of the "Add a note" form: */
	$('.pr-text_body,.pr-task_load,.pr-load_spent,.pr-load2finish').live('keyup',function(e){
		if(!this.preview)
			this.preview=$('#previewNote');
		
		/* Setting the text of the preview to the contents of the input field, and stripping all the HTML tags: */
		this.preview.find($(this).attr('class').replace('pr-','.')).html(nl2br($(this).val().replace(/<[^>]+>/ig,'')));
		
	});
	
	$('.pr-issue_probability').live('keyup',function(e){
		if(!this.preview)
			this.preview=$('#previewNote');
		
		/* Setting the text of the preview to the contents of the input field, and stripping all the HTML tags: */
		this.preview.find($(this).attr('class').replace('pr-','.')).html(nl2br($(this).val().replace(/<[^>]+>/ig,'')+'%'));
		
	});	

	var colorList=$('.colorList').text();
	/* Changing the color of the preview note: */
	$('.color').live('click',function(){
		$('#previewNote').removeClass(colorList).addClass($(this).attr('class').replace('color',''));
		$('.colorname').val($(this).attr('class').replace('color ',''));
	});
	
	/* The submit button for US */
	$('.us-submit').live('click',function(e){
		
		if($('.pr-text_body').val().length<1)
		{
			alert(msg_alert_us_body_empty);
			return false;
		}
	
		/* setting the zindex value */
		$('.zindexvalue').val(++zIndex);
		// send the form
		document.form_us.submit();		
		e.preventDefault();
	})
	
	/* The submit button for task */
	$('.task-submit').live('click',function(e){
		
		if($('.pr-text_body').val().length<1)
		{
			alert(msg_alert_task_body_empty);
			return false;
		}
	
		/* setting the zindex value */
		$('.zindexvalue').val(++zIndex);
		// send the form
		document.form_task.submit();		
		e.preventDefault();
	})        
        
	/* The submit button for copy/move tasks: */
	$('.copy-task-submit').live('click',function(e){
		
		$('.zindexvalue').val(++zIndex);		
		// close the update note popin form
		document.form_copy_tasks.submit();			
		e.preventDefault();
	})	

	/* The submit button for issues: */
	$('.issue-submit').live('click',function(e){
		var topic=$('.topic').val();		
		if($('.pr-text_body').val().length<1)
		{
		  if (topic=='risk')
		  {
		    alert(msg_alert_risk_body_empty)
		  }	
		  else
		  {
		    alert(msg_alert_problem_body_empty)
		  }		  
		  return false;
		}
	
        if (topic=='risk')
		{
		  if (parseInt($('.pr-issue_probability').val())>99 || parseInt($('.pr-issue_probability').val())<1)
		  {
		    if (parseInt($('.pr-issue_probability').val())==100)
			{
			  if (!confirm(msg_confirm_risk_become_problem))
			  {
			    return false;
			  }
			}
			else
			{
		      alert(msg_alert_probability_is_percentage)
			  return false;
			} 
		  }	
		}	
			
		/* setting the zindex value */
		$('.zindexvalue').val(++zIndex);
		// send the form
		document.form_issue.submit();		
		e.preventDefault();
	})
	
	/* The submit button for action : */
	$('.action-submit').live('click',function(e){
		
		if($('.pr-text_body').val().length<1)
		{
		  alert(msg_alert_action_body_empty)
		  return false;
		}
	
		/* setting the zindex value */
		$('.zindexvalue').val(++zIndex);
		// send the form
		document.form_action.submit();		
		e.preventDefault();
	})	

	/* The submit button for feature : */
	$('.feature-submit').live('click',function(e){
		
		if($('#form_item_feature_name').val().length<1)
		{
		  alert(msg_alert_feature_name_empty);
		  return false;
		}

		if($('#form_item_feature_short_label').val().length<1)
		{
		  alert(msg_alert_feature_label_empty);
		  return false;
		}
		
		// send the form
		document.form_feature.submit();		
		e.preventDefault();
	})	
		
	
	/* The submit button for activity : */
	$('.activity-submit').live('click',function(e){
		
		if($('.pr-text_body').val().length<1)
		{
		  alert(msg_alert_activity_body_empty);
		  return false;
		}
	
		/* setting the zindex value */
		$('.zindexvalue').val(++zIndex);
		// send the form
		document.form_activity.submit();		
		e.preventDefault();
	})	
	
	/* The submit button for release : */
	$('.release-submit').live('click',function(e){
		
		if($('#form_item_release').val().length<1)
		{
		  alert(msg_alert_release_name_empty);
		  return false;
		}		
		
		if($('#form_item_due_date').val()=='')
		{
		  alert(msg_alert_release_date_empty);
		  return false;
		}	
		
		var dueDate=$('#form_item_due_date').val();
		var releaseId=$('#release_2update_id').val();
        $.post('xmlhttprequest/check_release_due_date_consistency.php',{
		  due_date:dueDate,
		  release_id:releaseId
		  },function(msg){
  
	     if (parseInt(msg)>0)
	     {
           alert(msg_alert_due_date_greater_end_date_sprint);
		   return false;
	     }  
		 else
		 {
		   // send the popin form
		   document.form_release.submit();			
		 }
        });		
		return false;
	})		

	/* The submit button for color use */
	$('.color-submit').live('click',function(e){
		
	   // send the popin form
	   document.form_color_use.submit();
	   return false;
	})        
        
	/* The submit button for external release : */
	$('.release-ext-submit').live('click',function(e){
		
	   // send the popin form
	   document.form_ext_release.submit();
	   return false;
	})		
	
	/* The update button: */
	$('.sprint-submit').live('click',function(e){
		
		if($('#form_item_sprint').val().length<1)
		{
			alert(msg_alert_sprint_name_empty)
			return false;
		}			
		
		if($('#form_item_start_date').val()=='')
		{
			alert(msg_alert_sprint_start_date_empty)
			return false;
		}
        else
        {
		  var data_date=$('#form_item_start_date').val().split("/");
          var date_start=new Date(data_date[2],data_date[1]-1,data_date[0]);
		  var date_start_dash=data_date[2]+'-'+data_date[1]+'-'+data_date[0];
        }  
		
		if($('#form_item_end_date').val()=='')
		{
			alert(msg_alert_sprint_end_date_empty)
			return false;
		}	
        else
        {
		  var data_date=$('#form_item_end_date').val().split("/");
          var date_end=new Date(data_date[2],data_date[1]-1,data_date[0]);
		  var date_end_dash=data_date[2]+'-'+data_date[1]+'-'+data_date[0];
        }  
		
		if (date_end<date_start)
		{
			alert(msg_alert_end_date_greater_start_date);
			return false;
		}

		var rel_end_date=$('#form_hidden_release_end_date').val().split("-");
        var date_end_release=new Date(rel_end_date[0],rel_end_date[1]-1,rel_end_date[2]);
		if (date_end>date_end_release)
		{
			alert(msg_alert_end_date_greater_release_date);
			return false;
		}

		var releaseId=$('#release_add_sprint').val();
        var sprintId=$('#sprint_2update_id').val(); 		
        $.post('xmlhttprequest/check_sprint_dates_consistency.php',{
		  date_start:date_start_dash,
		  date_end:date_end_dash,
		  release_id:releaseId,
		  sprint_id:sprintId
		  },function(msg){ 
	     if (parseInt(msg)>0)
	     {
           alert(msg_alert_sprints_overlap);
		   return false;
	     }  
		 else if (parseInt(msg)<0)
		 {
		   if (parseInt(msg)==-1)
		   {
		     alert(msg_alert_start_date_not_working_day);
		     return false;
		   }
		   else if (parseInt(msg)==-2)
		   {
		     alert(msg_alert_end_date_not_working_day);
		     return false;
		   }
		 }
		 else
         {		 
		   // send the popin form
		   document.form_sprint.submit();			
		 }
        });		
		return false;
	})
	
	/* The update button: */
	$('.stakeholder-submit').live('click',function(e){
		
		// send the popin form
		document.form_add_stakeholder.submit();			
		e.preventDefault();
	})		
	
   $('.note-form').live('submit',function(e){e.preventDefault();});
	
});

var zIndex = 0;

function make_draggable(elements)
{
	/* Elements is a jquery object: */
	
	elements.draggable({
		containment:'parent',
		start:function(e,ui){ ui.helper.css('z-index',++zIndex); },
		stop:function(e,ui){
			
		var abscisse=ui.position.left;
		var ordonnee=ui.position.top;
                var statusArray=new Array();
		var headerColArray=new Array();
		var arrayTmp=new Array();
		var columnWidth=parseInt($('.columnWidth').text());
                var itemWidth=parseInt($('.itemWidth').text());
		var xInitDefaultPosition=parseInt($('.xInitDefaultPosition').text());			
	        var dashboardType=$('.dashboardType').text();
	        var displayTopLimit=parseInt($(this).find('.hidden-title_displayed').text());
	 	var parentId=parseInt($(this).find('.hidden-parent_id').text());
                var pathBase="";
                if ($('.hidden-pathBase').text().length!=0)
                {
                  pathBase=$('.hidden-pathBase').text();
                }   

		// Build the array with status and their bounds values from the hidden data 
		$('.hidden-status').each(function(){
	            headerColArray[$(this).text().split(':')[0]]=$(this).parent().find('.colHeader').text();
	            statusArray.push($(this).text().split(':'));
		});	

		var objectId=0;
            
		// If the dashboard is a matrix get the bound ans target statuses for the Y axis 
		if (dashboardType=='multiple')
		{
		  objectId=$(this).find('span.hidden-parent_id').text();
                }
			
			// If under limit, set ypos at the max top value
			if (ordonnee<displayTopLimit)
			{
			  ordonnee=displayTopLimit;
			}	

            originalAbscisse=abscisse; 			
			// from abscisse of item shift to the middle of the item
			noteMiddle=abscisse+Math.round(itemWidth/2);
            
			// check where the middle is regarding the bounds of the status columns
			for (i=0;i<statusArray.length;i++)
			{
              if (noteMiddle<(columnWidth)*(i+1))
              {
			    columnStartPosition=parseInt(statusArray[i][1]);
			    targetStatus=statusArray[i][0];
				// If note is on another column too, reset x position on left or right so that note will be
				// just n the column border
				if (originalAbscisse<columnStartPosition)
				{
				  abscisse=columnStartPosition+xInitDefaultPosition;
				}
                if ((originalAbscisse+itemWidth)>(columnStartPosition+columnWidth))
				{
				  abscisse=columnStartPosition+columnWidth-itemWidth-xInitDefaultPosition;
				}  
				break;
              }
			}  
			// if out of bounds, set it at the upper status
			if (i==statusArray.length)
			{
			  abscisse=statusArray[i-1][1]+columnWidth-itemWidth;
			  targetStatus=statusArray[i-1][0];
			}

			// set the displayed item left position (x-position)
			ui.helper.css( { 
                left: parseInt(abscisse)
             } );
			if ($('.hidden-updateStatusField').text()!='') 
			{
			  ui.helper.find('span.'+$('.hidden-updateStatusField').text()).html(targetStatus);
			}  
			
			// If is task or action and is affected to the user, set icon
			if (($('.itemType').text()=='tasks_sprint' || $('.itemType').text()=='pbl_tasks' || $('.itemType').text()=='rbl_tasks' || $('.itemType').text()=='issues_actions') && targetStatus!=$(this).find('span.item-status').text())
			{
                          // update tooltip  
			  ui.helper.find('span.postit_footer-center2').find('span.user-head').html('<img src="images/app/user.png" title="'+text_assign_to_user+'" />');
                          // update list of users
                          ui.helper.find('span.postit_footer-center2').find('span.user-list').find('.username_select option').removeAttr("selected");
                          ui.helper.find('span.postit_footer-center2').find('span.user-list').find('.username_select option[value='+current_login+']').prop('selected', true);
			}

			// If is task or action and is affected to the user, set icon
			if (($('.itemType').text()=='tasks_stakeholders') && $(this).find('span.item-status').text()!=targetStatus)
			{
			  if (targetStatus!='')
			  {
                            // change use icon text
			    ui.helper.find('span.postit_footer-center2').find('span.user-head').html('<img src="images/app/user.png" title="'+text_assign_to+$.trim(headerColArray[targetStatus])+'" />');			    
                            // remove selecvt in all options of list
                            ui.helper.find('span.postit_footer-center2').find('span.user-list').find('.username_select option').removeAttr("selected");
                            // set select on user in the list
                            ui.helper.find('span.postit_footer-center2').find('span.user-list').find('.username_select option[value='+targetStatus+']').prop('selected', true);                            
			  }
			  else
			  {
                            // set icon as no-user icon (black frame)  
			    ui.helper.find('span.postit_footer-center2').find('span.user-head').html('<img src="images/app/no-user.png" border="0" />');
                            // remove all select in user list
                            ui.helper.find('span.postit_footer-center2').find('span.user-list').find('.username_select option').removeAttr("selected");
			  }	
			}

			
			// If is task or action and status is the final one : set 2do2finish to zero 
			if (($('.itemType').text()=='tasks_sprint' || $('.itemType').text()=='pbl_tasks' || $('.itemType').text()=='rbl_tasks' || $('.itemType').text()=='issues_actions') && targetStatus==statusArray[statusArray.length-1][0] && $(this).find('span.item-status').text()!=targetStatus)
			{
			  ui.helper.find('span.postit_footer-right').html('0.0');
			}			

			// If item is issue and impact is changed
			if (($('.itemType').text()=='issues_impact'))
			{
		      ui.helper.find('span.postit_footer-left').html('<img src="images/app/impact_'+targetStatus+'.png" />');
			}			
			
			/* update priority */
			if ($('.itemType').text()=="us_poker")
			{
			  if (targetStatus!=0)
			  {
			    var result=Math.round(parseInt($(this).find('.postit_footer-left').text())/targetStatus);
	            $(this).find('.postit_text_over').text(result);
			  }	
			  else
			  {
			    $(this).find('.postit_text_over').text('');
			  }
			}  
			
			/* Sending the z-index and position of the note to update_position.php via AJAX GET: */			 
			// update database and set the top position (y-position) with the answer of the ajax script
			// ypos can be updated so that item will not be just above another item
			
			// Send as abscisse only the position in the column
			xPositionInColumn = abscisse % columnWidth;

			$.post(pathBase+'ajax/update_position.php',{
				  x		    : xPositionInColumn,
				  y		    : ordonnee,
				  z		    : zIndex,
				  status    : targetStatus,
				  item_type : $('.itemType').text(),
				  object_id : objectId,
				  parent_id : parentId,
				  id	    : parseInt(ui.helper.find('span.data').html())
			},function(msg){
                        if (msg=='END_SESSION')
                        {
                          window.location.replace(variable_index_page);
                        }
                        else
                        {
			  result=msg.split(':');
			  if(parseInt(result[0]))
			  {
			    // set yop position with the answser (which a correct y-position)
			    ui.helper.css( { 
       		              top:parseInt(result[0])
                            });
			  }
			  if(result[1]!='STDBY')
			  {
			    // find the ITEM to change 
			    $('.hidden-item').each(function(){
			      item_data=$(this).text().split(':');
			      if (item_data[0]==result[2])
			      {
			        if (result[1]=='ALMOST_DONE')
			 	{
			  	  var allowUpdate=$('.hidden-allowUpdate').text();
				  var targetFile=$('.hidden-targetFile').text();
				  if (allowUpdate)
				  {
				    var masterItemType=$('.masterItemType').text();
                                    var statusDone='done';
				    if (masterItemType=='issue')
				    {
				      statusDone='away';
				    }
				    var block=$(this).parent().parent().find('a.block').attr('name');
				    htmlReplace='<a href="'+targetFile+'&action='+masterItemType+'_status_change&new_status='+statusDone+'&'+masterItemType+'_id='+result[2]+'#'+block+'"><img src="images/app/square_green.png" /></a>';
				  }
				  else
				  {
				    htmlReplace='<img src="images/app/square_green.png" style="cursor:default;" />';
				  }	
				  $(this).parent().find('span.postit_header-right').html(htmlReplace);					
				}
                                else if (result[1]=='BACK_TODO')
				{
				  $(this).parent().find('span.postit_header-right').html('<img src="images/app/under_progress.png" style="cursor:default;" />');
				}
	                      }
		            });	
			  } 
                        }
		      });
		      // Update status in hidden div for the next user actions
		      $(this).find('span.item-status').text(targetStatus);
		  }	
	  });
}