<?php
class railway{
  var $chain=array();
  var $pathImg;
  
  function __construct($pathImg)
  {
    $this->pathImg=$pathImg;
  }
  
  function add($nodeId,$text,$link='',$info='')
  {
    $this->chain[$nodeId]['name']=$text;
    $this->chain[$nodeId]['link']=$link;	
    $this->chain[$nodeId]['info']=$info;
    $this->chain[$nodeId]['subMenu']=array();
  }  
  
  function addSub($nodeId,$text,$link='',$info='')
  {
    $nb=count($this->chain[$nodeId]['subMenu']);  
    $this->chain[$nodeId]['subMenu'][$nb]['name']=$text;  
    $this->chain[$nodeId]['subMenu'][$nb]['link']=$link;	
    $this->chain[$nodeId]['subMenu'][$nb]['info']=$info;
  }
  
  function display($class="railway")
  {
    $info='';?>
    <div class="<?php echo $class;?>">
    <ul id="railway" class="xbreadcrumbs"><?php
	foreach($this->chain as $node)
	{?>
         <li><?php  
	  if ($node['link']!='')
	  {?>
            <a href="<?php echo $node['link'];?>"><?php echo $node['name'];?></a> <?php
	  }
          else
	  {?>
	     <span><?php echo $node['name'];?></span><?php
	  }
          if (count($node['subMenu'])!=0)
          {?>
            <ul><?php
            for ($i=0;$i<count($node['subMenu']);$i++)
            {?>
                <li><a href="<?php echo $node['subMenu'][$i]['link'];?>"><?php echo $node['subMenu'][$i]['name'];?></a></li>  <?php
            }?>
            </ul> <?php 
          }
	  if ($node['info']!='')
	  {
            $info= $node['info']; 
	  }?>
          </li><?php  
	}?>
    <?php
    if ($info!='')
    {?>
       <div style="float:left" class="dashboardName" ><?php echo $info;?></div> <?php
    }?></ul>
    </div>
    <div class="clearleft"></div><?php
  }
}