<?php
/**
 * messages and texts used by all scripts  
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Goesta <goesta@smekal.at>
 * @license  GPL v3, MIT
 * */     
 
// Global Messages   
$msg_confirm_delete_object=utf8_encode('Mchten Sie dieses Objekt wirklich lschen?');
$msg_object_deleted=utf8_encode("Dieses Objekt wurde gelscht");
$msg_object_detached=utf8_encode("Das Objekt wurde entfernt");
$msg_object_created=utf8_encode("Das Objekt wurde erstellt");
$msg_all_objects_created=utf8_encode('Alle Objekte wurden erstellt');
$msg_object_updated=utf8_encode("Das Objekt wurde aktualisiert");
$msg_select_profile=utf8_encode('Whlen Sie ein Profil, um Einstellungen vorzunehmen.');
$msg_unknown_user=utf8_encode('Unbekannter Benutzer');
$msg_wrong_password=utf8_encode('Falsches Passwort');
$msg_object_exists=utf8_encode('Dieses Objekt existiert bereits!');
$msg_status_changed=utf8_encode('Der Status wurde aktualisiert');
$msg_object_added=utf8_encode("Das Objekt wurde hinzugefgt");
$msg_confirm_detach_object=utf8_encode('Mchten Sie dieses Objekt wirklich entfernen?');
$msg_managing_profile=utf8_encode('Sie aktualiseren die Profileinstellungen');
$msg_choose_value=utf8_encode('Wert auswhlen');
$msg_file_missing=utf8_encode("Die Datei ist nicht mehr auf dem Server");
$msg_file_too_big=utf8_encode('Die Datei ist zu gro');
$msg_credentials_ko=utf8_encode('Falscher Benutzer oder falsches Passwort');
$msg_language_available=utf8_encode('Verfgbare Sprache');
$msg_language_data_missing=utf8_encode('Einige Sprachdaten fehlen');
$msg_no_result=utf8_encode('Kein Ergebnis gefunden');
$msg_too_much_results=utf8_encode('Zu viele Ergebnisse. Bitte verfeinern Sie die Suche');
$msg_not_enough_char=utf8_encode('Nicht ausreichend Zeichen (zumindest drei)');
$msg_user_already_exists=utf8_encode('Dieser Benutzer existiert bereits');
$msg_managing_parameters_switch=utf8_encode('Schalten Sie Parameter ein/aus durch Klicken auf den Pfeil der Parameterbox.');
$msg_managing_parameters=utf8_encode('Durch Klicken auf das Symbol am Ende der Zeile werden die Werte aktualisiert.');
$msg_user_format_ko=utf8_encode("Ungltiger Benutzernamen (nur kleine alphanumerische und _)");
$msg_session_ended=utf8_encode('Session abgelaufen ist. Bitte wieder verbinden.');
$msg_wrong_current_password=utf8_encode('Fehlerhaftes Passwort? bitte erneut versuchen');
$msg_user_not_confirmed=utf8_encode('User ist nicht besttigt. Bitte besttige das erhaltene E-Mail oder wende Dich an den Administrator');
$msg_user_inactive=utf8_encode('User ist deaktiviert. Bitte Administrator kontaktieren');
$msg_confirm_reset_pass=utf8_encode('Passwort wirklich zurcksetzen?');
$msg_password_updated=utf8_encode('Passwort wurde aktualisiert.');
$msg_password_not_locally_managed=utf8_encode('Passwort wird durch ein externes System verwaltet.');
$msg_password_reset=utf8_encode('Passwort wurde zurckgesetzt.');
$msg_user_updated=utf8_encode('User wurde aktualisiert.');
$msg_mail_validation_sent=utf8_encode('Besttigungsmail fr die neue Adresse wurde versandt.');
$msg_reset_email_sent=utf8_encode('E-Mail zum Zurcksetzen des Passworts wurde versandt.');
$msg_unknown_email=utf8_encode('Falsche E-Mail Adresse. Bitte erneut versuchen, oder Administrator kontaktieren.');
$msg_user_already_confirmed=utf8_encode('User wurde bereits besttigt.');
$msg_no_email_to_confirm=utf8_encode('Keine E-Mail Adresse zu besttigen.');
$msg_feature_not_available=utf8_encode('Diese Funktion steht nicht zur Verfgung.');
$msg_unknown_request=utf8_encode('Unbekannte Anfrage.');
$msg_password_incorrect=utf8_encode('Passwort ungltig. Bitte erneut versuchen.');
$msg_mail_sent=utf8_encode('Mail verschickt.');
$msg_user_not_registred=utf8_encode("LDAP-User nicht in der lokalen Datenbank. Bitte Administrator kontaktieren");                
$msg_ldap_on_but_not_available=utf8_encode("LDAP ist aktiviert, aber das LDAP_Modul ist nicht verfgbar. Bitte den Administrator kontaktieren");
$msg_user_ldap_without_ldap=utf8_encode("Sie wollen sich ber LDAP anmelden, LDAP ist aber nicht aktiviert. Bitte Administrator kontaktieren");
$msg_password_rules=utf8_encode('Das Passwort muss folgende Regeln erfllen: <br />-mindestens ein Kleinbuchstabe<br />-mindestens ein Grobuchstabe<br />-mindestens eine Ziffer<br />-8 bis 20 Zeichen<br />-mindestens ein Zeichen aus !?*$+_@%#');

// Global Texts
$text_profile=utf8_encode('Profil');
$text_duration=utf8_encode('Dauer (Monate)');
$text_template_status=utf8_encode('Vorlage Status');
$text_year=utf8_encode('Jahr');
$text_month=utf8_encode('Monat');
$text_number=utf8_encode('Zahl');
$text_login=utf8_encode('Benutzer');
$text_password=utf8_encode('Passwort');
$text_user=utf8_encode('Benutzer');
$text_logout=utf8_encode('Abmelden');
$text_firstname=utf8_encode('Vorname');
$text_name=utf8_encode('Name');
$text_email=utf8_encode('E-Mail');
$text_status=utf8_encode('Status');
$text_short_name=utf8_encode('Kurzname');
$text_address=utf8_encode('Adresse');
$text_address_comment=utf8_encode("Bemerkungen zur Adresse");
$text_address_city=utf8_encode('Stadt');
$text_address_country=utf8_encode('Land');
$text_address_zip_code=utf8_encode('PLZ');
$text_address_state=utf8_encode('Bundesland');
$text_filter_inactive=utf8_encode('Inaktiv');
$text_description=utf8_encode('Beschreibung');
$text_amount=utf8_encode('Menge');
$text_reference=utf8_encode('Verweis');
$text_resource=utf8_encode('Ressource');
$text_of=utf8_encode('von');
$text_of_the=utf8_encode('von');
$text_date_from=utf8_encode('von');
$text_date_to=utf8_encode('bis');
$text_none=utf8_encode('Keine');
$text_total=utf8_encode('Gesamt');
$text_no_data=utf8_encode('Keine Daten');
$text_total_cost=utf8_encode('Gesamte Kosten');
$text_hours=utf8_encode('Stunden');
$text_creator=utf8_encode('Ersteller');
$text_creation_date=utf8_encode('Erstellt am');
$text_parameter=utf8_encode('Parameter');
$text_tag=utf8_encode('Tag');
$text_value=utf8_encode('Wert');
$text_max_value=utf8_encode('Hchster Wert');
$text_informations=utf8_encode('Allgemeine Informationen');
$text_misc=utf8_encode('versch.');
$text_comments=utf8_encode('Anmerkungen');
$text_comment=utf8_encode('Anmerkung');
$text_object_id=utf8_encode('#');
$text_actions=utf8_encode('Aktionen');
$text_start_date=utf8_encode('Anfangsdatum');
$text_days=utf8_encode('Tage');
$text_features=utf8_encode('Features');
$text_created_by=utf8_encode('Erstellt von');
$text_no_item=utf8_encode('Kein Objekt');
$text_for=utf8_encode('fr');
$text_the_m=utf8_encode('der');
$text_the_f=utf8_encode('die');
$text_one_m=utf8_encode('ein');
$text_one_f=utf8_encode('eine');
$text_change_status=utf8_encode('Status ndern');
$text_workflow=utf8_encode('Workflow');
$text_management=utf8_encode('Management');
$text_group=utf8_encode('Gruppe');
$text_ratio=utf8_encode('Verhltnis');
$text_std_profile=utf8_encode('Standardprofil');
$text_value_is_too_high_for=utf8_encode('Der Wert ist zu hoch fr');
$text_limit_is=utf8_encode('Die Grenze ist');
$text_yes=utf8_encode('Ja');
$text_no=utf8_encode('Nein');
$text_to=utf8_encode('zu');
$text_cost=utf8_encode('Kosten');
$text_week=utf8_encode('Woche');
$text_tip=utf8_encode('Tipp');
$text_alert_if_zero=utf8_encode('Warnung bei Wert Null');
$text_date=utf8_encode('Datum');
$text_menu=utf8_encode('Menpunkt');
$text_transitions=utf8_encode('bergnge');
$text_and=utf8_encode('und');
$text_todo2finish=utf8_encode('zur Fertigstellung');
$text_order=utf8_encode('Auftrag');
$text_owner=utf8_encode('Eigner');
$text_role=utf8_encode('Rolle');
$text_stakeholder=utf8_encode('Beitragender');
$text_global=utf8_encode('Global');
$text_local=utf8_encode('Lokal');
$text_type=utf8_encode('Typ');
$text_progress=utf8_encode('Fortschritt');
$text_on=utf8_encode('bei');
$text_update_date=utf8_encode('Aktualisiert am');
$text_file=utf8_encode('Datei');
$text_document=utf8_encode('Dokument');
$text_maxsize=utf8_encode('Max Gre');
$text_objects_using_this_profile=utf8_encode('Objekte die diese Profil nutzen');
$text_connection_mode=utf8_encode('Quelle');
$text_language=utf8_encode('Sprache');
$text_situation=utf8_encode('Situation');
$text_not_enough_char=utf8_encode('Nicht genug Zeichen (mindestens 3)');
$text_ldap_search=utf8_encode('LDAP-Suche');
$text_search_by_name=utf8_encode('Nach Namen');
$text_search_by_username=utf8_encode('Nach Benutzer');
$text_readonly_role=utf8_encode('Nur lesen');
$text_nobody=utf8_encode('Niemand');
$text_theme=utf8_encode('Gestaltung');
$text_project_block_raf=utf8_encode('Ausfllen der verbleibenden Zeit der Aufgaben in der letzten Spalte verbieten');
$text_tag_used=utf8_encode('Tag fr das Projekt verfgbar');
$text_tag_not_used=utf8_encode('Tag fr das Projekt nicht verfgbar');
$text_password_check=utf8_encode('Passwort-Check');
$text_change_password=utf8_encode('Um Ihr Passwort zu ndern, beide Felder ausfllen. Das Passwort ist auf 15 Zeichen begrenzt.');
$text_current_password=utf8_encode('Aktuelles Passwort');
$text_new_password=utf8_encode('Neues Passwort');
$text_user_confirmed=utf8_encode('User besttigt');
$text_key_not_valid=utf8_encode('Schlssel ist ungltig');
$text_key_no_more_valid=utf8_encode('Schlssel ist nicht mehr gltig');
$text_forgotten_password=utf8_encode('Passwort vergessen?');
$text_back_home=utf8_encode('Zurck zur Willkommensseite');
$text_relationships=utf8_encode("US Beziehung");
$text_news=utf8_encode("News");
$text_link=utf8_encode("Link");

// Global Buttons
$button_cancel=utf8_encode('Abbrechen');
$button_submit=utf8_encode('Absenden');
$button_search=utf8_encode('Suchen');
$button_new_profile=utf8_encode('Profil anlegen');
$button_update_values=utf8_encode('Werte aktualisieren');
$button_new_user=utf8_encode('Benutzer anlegen');
$button_filter=utf8_encode('Filter');
$button_back_to_list=utf8_encode('Zurck zur Liste');
$button_lock=utf8_encode('Sperren');
$button_save=utf8_encode('Speichen');
$button_unlock=utf8_encode('Freigeben');
$button_update_value=utf8_encode('Wert speichern');
$button_new_user_ldap=utf8_encode("Banutzer aus LDAP hinzufgen");
$button_new_news=utf8_encode("News hinzufgen");

// Global Actions
$action_modify=utf8_encode('Bearbeiten');
$action_delete=utf8_encode('Lschen');
$action_manage=utf8_encode('Einstellen');
$action_fill_in=utf8_encode('Ausfllen');
$action_start=utf8_encode('Start');
$action_view=utf8_encode('Ansicht');
$action_view_progress=utf8_encode("Fortschritt zeigen");
$action_change_status=utf8_encode('Status ndern');
$action_detach=utf8_encode('Entfernen');
$action_fill=utf8_encode('Fllen');
$action_set_as_default=utf8_encode('Als Vorgabe');
$action_view_dashboard=utf8_encode('bersicht anzeigen');
$action_disable=utf8_encode('Deaktivieren');
$action_activate=utf8_encode('Aktivieren');
$action_move_up=utf8_encode('Nach oben');
$action_move_down=utf8_encode('Nach unten');

// Legends
$legend_logon=utf8_encode('Verbindung');
$legend_changing_f=utf8_encode("ndere eine");
$legend_creation_f=utf8_encode("Erstelle eine");
$legend_display_f=utf8_encode("Zeige eine");
$legend_adding_f=utf8_encode("Hinzufgen einer");
$legend_changing_m=utf8_encode("ndere einen");
$legend_creation_m=utf8_encode("Erstelle einen");
$legend_display_m=utf8_encode("Zeige einen");
$legend_adding_m=utf8_encode("Hinzufgen eines");
$legend_change_password=utf8_encode('Um das Passwort zu ndern beide Felder ausfllen. Maximal 15 Zeichen.');
$legend_update_email=utf8_encode('Um die neue E-Mail Adresse zu besttigen bitte Passwort eingeben.');
$legend_reset_password=utf8_encode('Um das Passwort zurckzusetzen bitte Login und E-Mail Adresse eingeben');

// Days
$list_days_week[]=utf8_encode('Monatg');
$list_days_week[]=utf8_encode('Dienstag');
$list_days_week[]=utf8_encode('Mittwoch');
$list_days_week[]=utf8_encode('Donnerstag');
$list_days_week[]=utf8_encode('Freitag');
$list_days_week[]=utf8_encode('Samstag');
$list_days_week[]=utf8_encode('Sonntag');

// Months
$list_months[]=utf8_encode('Jnner');
$list_months[]=utf8_encode('Februar');
$list_months[]=utf8_encode('Mrz');
$list_months[]=utf8_encode('April');
$list_months[]=utf8_encode('Mai');
$list_months[]=utf8_encode('Juni');
$list_months[]=utf8_encode('Juli');
$list_months[]=utf8_encode('August');
$list_months[]=utf8_encode('September');
$list_months[]=utf8_encode('Oktober');
$list_months[]=utf8_encode('November');
$list_months[]=utf8_encode('Dezember');

// Arrays
$array_yes_no[1]=$text_yes;
$array_yes_no[0]=$text_no;
?>