<?php
/**
 * Popup to display comments
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'./');
$pathClasses=PATHBASE.'libraries/classes/';
$pathCommons=PATHBASE.'common_scripts/';  
$pathAppClasses=PATHBASE.'classes/';
$pathImages=PATHBASE.'images/';

$targetFile='';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{
  require_once PATHBASE.'popin_includes.php';
  require_once $pathClasses.'class_sortColumn.php';
  require_once $pathCommons.'date_hour.php';
  require_once $pathAppClasses.'project.php';
  require_once $pathAppClasses.'appUser.php';
  require_once $pathAppClasses.'comment.php';
  // create comment object
  $postitComments=new comment($cnx->num);
  // get mode var
  $mode = isset($_GET['mode']) ? $_GET['mode'] : 'w';   ?>

<html>
    <head>
     <script type="text/javascript" src="<?php echo PATHBASE;?>js/jquery-ui.triggeredAutocomplete.js"></script>
     <script type="text/javascript" src="<?php echo PATHBASE;?>js/jquery.highlighttext.js"></script>
    </head>
    <body>
        
    <div class="MessageBox WarningMessageBox hidden-div" id="MsgWarning"><?php echo $msg_fill_in_a_comment;?></div>    <?php
    
    // if write mode, display form
    if ($mode=='w')
    {?>
    <div class="align_center">
      <form style="margin-bottom:10px;" method="post">
        <input type="hidden" id="item_id" value="<?php echo $_GET['i'];?>" />
        <input type="hidden" id="item_type" value="<?php echo $_GET['t'];?>" />
        <textarea id="form_item_comment" class="std_form_field" rows="4" cols="70"></textarea> 
        <input type="hidden" id="waved_users" value="">
        
    </form>
       
      <div id="addComment" class="tsc_awb_medium tsc_awb_green tsc_flat"><?php echo $button_put_to_trash;?></div>
 
    </div><?php
    }


}?>

    <script>
    $('#addComment').click(function(){
        
      if ($('#form_item_comment').val()!='')
      {
        $.post('<?php echo PATHBASE;?>xmlhttprequest/add_comment.php',{item_id:<?php echo $_GET['i'];?>,item_type:'<?php echo $_GET['t'];?>',comment:"[<?php echo $text_trash_in;?>] "+$('#form_item_comment').val(),waved_users:$('#waved_users').val()},function(msg){
          if(msg=='OK')
          {
            formDelSubmit(<?php echo $_GET['i'];?>);
          }  
	});
      } 
      else
      {
         $('#MsgWarning').show();
      }
    });

    $('#form_item_comment').triggeredAutocomplete({
      hidden: '#waved_users',
      source: "xmlhttprequest/search_user_to_wave.php",
      trigger: "@",
    });
    </script>
    </body>   
</html>