<?php
/**
 * Page exports project US and Tasks
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  ProjectManagement:ObjectSettings
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
define("PATHBASE",'./');
$targetFile='project_exports.php?menu_lev2=prj_exports';
$displayTable=true;

$flagCheckCurrentProject=true;
include PATHBASE.'header.php';

  include PATHBASE.'railway_display.php';    ?>
  <form method="POST" name="form_export" id="form_export" action="" >
  <input type="hidden" id="target_word" value="<?php echo PATHBASE;?>exports/export_word.php"  /> 
  <input type="hidden" id="target_csv" value="<?php echo PATHBASE;?>exports/export_csv.php"  /> 
  <input type="hidden" id="target_odt" value="<?php echo PATHBASE;?>exports/export_odt.php"  /> 
  <input type="hidden" name="project_id" value="<?php echo (isset($_SESSION['current_project_id']) ? $_SESSION['current_project_id'] : 0);?>" />
  <input type="hidden" name="release_id" value="<?php echo (isset($_SESSION['current_release_id']) ? $_SESSION['current_release_id'] : 0);?>" />
  <input type="hidden" name="sprint_id" value="<?php echo (isset($_SESSION['current_sprint_id']) ? $_SESSION['current_sprint_id'] : 0);?>" />
  <div class="block25">
    <!-- Colors for USer Stories !-->
     <div class="MessageBox TitleBox"><?php echo $text_us_colors_select_for_export;?></div>
     <table class="zebraTable"><?php
         $request->sqlGet("SELECT color_id,color_name,color_default,
	                     object_color_meaning 
                         FROM ".PARAM_DB_PREFIX."kados_user_stories LEFT JOIN 
                       ((SELECT color_id,color_name,use_color_default  AS color_default,
	                       use_color_meaning AS object_color_meaning 
                           FROM ".PARAM_DB_PREFIX."kados_colors_uses,".PARAM_DB_PREFIX."kados_colors 
			   WHERE use_color_postit_type='US' AND color=color_name 
                                 AND use_color_lock=1)
			    UNION
			    (SELECT color_id,color_name,object_color_default AS color_default,
                                    object_color_meaning 
			     FROM ".PARAM_DB_PREFIX."kados_projects_colors,".PARAM_DB_PREFIX."kados_colors 
			     WHERE project_id_fk=".$_SESSION['current_project_id']."
		 	       AND color_id_fk=color_id 
			      AND object_type='US')) ".PARAM_DB_PREFIX."kados_colors_all ON color=color_name 
                      WHERE us_project_id_fk=".$_SESSION['current_project_id']."
                        AND active=1  
                      GROUP BY color_name");	  	     
     $colorList=$request->getArrayFields();
	   
     for ($i=0;$i<count($colorList);$i++)
     {?>
         <tr>
           <td><input type="checkbox" name="choose_color_us_<?php echo $colorList[$i]['color_id'];?>" checked="checked" /></td>
	   <td><div class="colorDisplay <?php echo $colorList[$i]['color_name'];?>"></div></td>
	   <td><?php echo $colorList[$i]['object_color_meaning']; ?></td>                     
  	 </tr><?php
         
       }?>
     </table>
   </div>
	 
   <div class="block25">
    <!-- Colors for Tasks !-->
     <div class="MessageBox TitleBox"><?php echo $text_us_status_select_for_export;?></div>	

    <table class="zebraTable">
         <tr>
           <td><input type="checkbox" name="choose_status_us_todo"  checked="checked"  /></td>
           <td><img src="<?php echo $pathImages;?>/app/bulb.png" style="cursor:default;" /></td>
           <td><?php echo $usStatusTable['TODO'];?></td>
  	 </tr>
         <tr class="alt">
           <td><input type="checkbox" name="choose_status_us_run"  checked="checked"  /></td>
           <td><img src="<?php echo $pathImages;?>/app/under_progress.png" style="cursor:default;" /></td>
           <td><?php echo $usStatusTable['RUN'];?></td>
  	 </tr>
         <tr>
           <td><input type="checkbox" name="choose_status_us_dev"  checked="checked"  /></td>
           <td><img src="<?php echo $pathImages;?>/app/square_green.png" style="cursor:default;" /></td>
           <td><?php echo $usStatusTable['DEV'];?></td>
  	 </tr>
         <tr class="alt">
           <td><input type="checkbox" name="choose_status_us_done"  checked="checked"  /></td>
           <td><img src="<?php echo $pathImages;?>/app/ok.png" style="cursor:default;" /></td>
           <td><?php echo $usStatusTable['DONE'];?></td>
  	 </tr>         
     </table>	 
     
   </div>  
  
   <div class="block25">
    <!-- Colors for Tasks !-->
     <div class="MessageBox TitleBox"><?php echo $text_tasks_colors_select_for_export;?></div>
     <table class="zebraTable"><?php
	   
     $request->sqlGet("SELECT color_id,color_name,color_default,
	                     object_color_meaning 
                      FROM ".PARAM_DB_PREFIX."kados_user_stories,".PARAM_DB_PREFIX."kados_tasks tsk LEFT JOIN  
                       ((SELECT color_id,color_name,use_color_default  AS color_default,
	                       use_color_meaning AS object_color_meaning 
                           FROM ".PARAM_DB_PREFIX."kados_colors_uses,".PARAM_DB_PREFIX."kados_colors 
			   WHERE use_color_postit_type='TASK' AND color=color_name 
                                 AND use_color_lock=1)
			    UNION
			    (SELECT color_id,color_name,object_color_default AS color_default,
                                    object_color_meaning  
			     FROM ".PARAM_DB_PREFIX."kados_projects_colors,".PARAM_DB_PREFIX."kados_colors 
			     WHERE project_id_fk=".$_SESSION['current_project_id']."
		 	       AND color_id_fk=color_id 
			      AND object_type='TASK')) ".PARAM_DB_PREFIX."kados_colors_all ON tsk.color=color_name
                      WHERE us_project_id_fk=".$_SESSION['current_project_id']."
                        AND tsk.active=1  
                        AND us_id_fk=us_id
                      GROUP BY color_name");	  	     
     $colorList=$request->getArrayFields();
	   
     for ($i=0;$i<count($colorList);$i++)
     {?>
         <tr>
           <td><input type="checkbox" name="choose_color_task_<?php echo $colorList[$i]['color_id'];?>"  checked="checked"  /></td>
           <td><div class="colorDisplay <?php echo $colorList[$i]['color_name'];?>"></div></td>
	   <td><?php echo $colorList[$i]['object_color_meaning']; ?></td>                     
  	 </tr><?php
       }?>
     </table>
   </div>

   <div class="block25">
    <!-- Colors for Tasks !-->
     <div class="MessageBox TitleBox"><?php echo $text_tasks_status_select_for_export;?></div>	 <?php
             
   $sqlColumns="SELECT column_tag,column_name,column_usage,column_meaning 
                FROM ".PARAM_DB_PREFIX."kados_template_columns,".PARAM_DB_PREFIX."kados_projects_columns 
	        WHERE column_tag=column_tag_fk AND project_id_fk=".$_SESSION['current_project_id']."  
		ORDER BY column_order"; 
   $request->sqlGet($sqlColumns);
   $taskStatusList=$request->getArrayFields();?>

    <table class="zebraTable"><?php
	   
     for ($i=0;$i<count($taskStatusList);$i++)
     {?>
         <tr>
           <td><input type="checkbox" name="choose_status_task_<?php echo $taskStatusList[$i]['column_tag'];?>"  checked="checked"  /></td>
           <td><?php echo $taskStatusList[$i]['column_name'];?></td>
	   <td><?php echo $taskStatusList[$i]['column_meaning']; ?></td>                     
  	 </tr><?php
       }?>
     </table>	 
     
   </div>
   <div class="clearleft"></div>
   
     <table><tr>
        <td><input type="checkbox" name="use_hierarchy" checked="checked" /></td>
        <td><?php echo $text_use_hierarchy;?></td>
     </tr>
     </table>
     </form><br /> <?php
       // export word button
       displayButton($button_export_word,'',"javascript:export_start('word')",'tsc_awb_medium tsc_awb_blue tsc_flat');
       // export odt button
       displayButton($button_export_odt,'',"javascript:export_start('odt')",'tsc_awb_medium tsc_awb_teal tsc_flat');
       // export csv button
       displayButton($button_export_csv,'',"javascript:export_start('csv')",'tsc_awb_medium tsc_awb_green tsc_flat');

include PATHBASE.'footer.php';?>