<?php
/**
 * Switch cases for the project settings
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  ProjectManagement:ObjectSettings
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  

  /* actions for the page */
  switch ($_REQUEST['action'])
  {
    case 'add_release':
      $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."kados_releases (release_name,release_creation_date,release_due_date,release_project_id_fk) 
	                                            VALUES ('".formatStringForDB($_POST['form_item_release'])."','".aujourdhui()."',
												'".convertDateSlashToDash($_POST['form_item_due_date'])."',".$_SESSION['current_project_id'].")",$cnx->num);
      $idNew=$request->getLastId();												
      if (isset($_POST['form_item_checklist']))
	  {
	    $request->sqlGet("INSERT INTO ".PARAM_DB_PREFIX."kados_activities (
		                      SELECT 0,text,color,'TODO',1,40,15+zpos*15,zpos,".$idNew.",'".$_SESSION['login']."','".aujourdhui()."','".$_SESSION['login']."','".aujourdhui()."','','".$_SESSION['login']."',zpos,template_activity_id 
							  FROM ".PARAM_DB_PREFIX."kados_template_activities)");
	  }
    break;

    case 'add_release_ext':
      $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."kados_releases (release_name,release_creation_date,release_due_date,release_project_id_fk,
	                                                    release_external_release_id,release_external_release_connection_id)  
	                                            VALUES ('".formatStringForDB($_POST['form_item_release_name'])."','".aujourdhui()."',
												'".convertDateSlashToDash($_POST['form_item_due_date'])."',".$_SESSION['current_project_id'].",
												".$_POST['form_item_release'].",".$_POST['form_item_connection_id'].")",$cnx->num);
      $idNew=$request->getLastId();												
      if (isset($_POST['form_item_checklist']))
	  {
	    $request->sqlGet("INSERT INTO ".PARAM_DB_PREFIX."kados_activities (
		                      SELECT 0,text,color,'TODO',1,40,15+zpos*15,zpos,".$idNew.",'".$_SESSION['login']."','".aujourdhui()."','".$_SESSION['login']."','".aujourdhui()."','','".$_SESSION['login']."',zpos,template_activity_id 
							  FROM ".PARAM_DB_PREFIX."kados_template_activities)");
	  }												
    break;
	
    case 'update_release':
      $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."kados_releases SET release_name='".formatStringForDB($_POST['form_item_release'])."',
	                      release_due_date='".convertDateSlashToDash($_POST['form_item_due_date'])."'
						  WHERE release_id=".$_POST['release_2update_id'],$cnx->num);
      if (isset($_POST['form_item_checklist']))
	  {
	    $request->sqlGet("INSERT INTO ".PARAM_DB_PREFIX."kados_activities (
		                      SELECT 0,text,color,'TODO',1,40,15+zpos*15,zpos,".$_POST['release_2update_id'].",'".$_SESSION['login']."','".aujourdhui()."','".$_SESSION['login']."','".aujourdhui()."','','".$_SESSION['login']."',zpos,template_activity_id 
							  FROM ".PARAM_DB_PREFIX."kados_template_activities)");
	  }						  
    break;

    case 'update_release_ext':
      if (isset($_POST['form_item_checklist']))
	  {
	    $request->sqlGet("INSERT INTO ".PARAM_DB_PREFIX."kados_activities (
		                      SELECT 0,text,color,'TODO',1,40,15+zpos*15,zpos,".$_POST['release_2update_id'].",'".$_SESSION['login']."','".aujourdhui()."','".$_SESSION['login']."','".aujourdhui()."','','".$_SESSION['login']."',zpos,template_activity_id 
							  FROM ".PARAM_DB_PREFIX."kados_template_activities)");
	  }						  
    break;
	
    case 'delete_release':
      // Delete release
      $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."kados_releases WHERE release_id=".$_REQUEST['release_id_2del'],$cnx->num);
	  // Delete sprints
 	  $request->sqlGet("DELETE FROM ".PARAM_DB_PREFIX."kados_sprints WHERE sprint_release_id_fk=".$_REQUEST['release_id_2del']);	
	  // Update US : init release to none
	  $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."kados_user_stories SET us_release_id_fk=0,us_sprint_id_fk=0 WHERE us_release_id_fk=".$_REQUEST['release_id_2del']);
    break;  
	
    case 'add_sprint':
      $request=new sqlRequest("SELECT MAX(sprint_number) AS max_nb FROM ".PARAM_DB_PREFIX."kados_sprints WHERE sprint_release_id_fk=".$_REQUEST['release_add_sprint'],$cnx->num);
      $sprintData=$request->getObject();
      $request->sqlGet("INSERT INTO ".PARAM_DB_PREFIX."kados_sprints (sprint_name,sprint_number,sprint_start_date,sprint_end_date,sprint_release_id_fk) 
                                  VALUES ('".formatStringForDB($_POST['form_item_sprint'])."',".($sprintData->max_nb+1).",
					  '".convertDateSlashToDash($_POST['form_item_start_date'])."',
					  '".convertDateSlashToDash($_POST['form_item_end_date'])."',
					  ".$_REQUEST['release_add_sprint'].")");
    break;
  
    case 'update_sprint':
      $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."kados_sprints SET sprint_name='".formatStringForDB($_POST['form_item_sprint'])."',
	                    sprint_start_date='".convertDateSlashToDash($_POST['form_item_start_date'])."',
			    sprint_end_date='".convertDateSlashToDash($_POST['form_item_end_date'])."' WHERE sprint_id=".$_POST['sprint_2update_id'],$cnx->num);
    break;  
  
    case 'delete_sprint':
      // Get sprint release
      $request=new sqlRequest("SELECT sprint_release_id_fk FROM ".PARAM_DB_PREFIX."kados_sprints WHERE sprint_id=".$_REQUEST['sprint_id_2del'],$cnx->num);
      $releaseOfSprint=$request->getObject();
      // Delete sprint
      $request->sqlGet("DELETE FROM ".PARAM_DB_PREFIX."kados_sprints WHERE sprint_id=".$_REQUEST['sprint_id_2del']);
      // UPDATE US
      $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."kados_user_stories SET us_sprint_id_fk=0 
                       WHERE us_sprint_id_fk=".$_REQUEST['sprint_id_2del']);
      // Re-Set sprint numbers
      $request->sqlGet("SELECT sprint_id FROM ".PARAM_DB_PREFIX."kados_sprints 
                       WHERE sprint_release_id_fk=".$releaseOfSprint->sprint_release_id_fk." 
                       ORDER BY sprint_start_date");
      $sprints=$request->getArrayFirstFieldOnly();
      for ($i=0;$i<count($sprints);$i++)
      {
        $request->sqlGet("UPDATE ".PARAM_DB_PREFIX."kados_sprints SET sprint_number=".($i+1)." WHERE sprint_id=".$sprints[$i]);
      }
    break;   	
	


	case 'update_ext_release':
	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."kados_releases SET release_name='".formatStringForDB($_POST['new_name'])."',release_due_date='".$_POST['new_due_date']."' WHERE release_id=".$_POST['release2update'],$cnx->num);
	break;
	
	case 'add_feature':
      $request=new sqlRequest("INSERT INTO ".PARAM_DB_PREFIX."kados_features (feature_short_label,feature_name,feature_description,feature_project_id_fk)  
	                                            VALUES ('".formatStringForDB($_POST['form_item_feature_short_label'])."','".formatStringForDB($_POST['form_item_feature_name'])."',
												        '".formatStringForDB($_POST['form_item_feature_description'])."',".$_SESSION['current_project_id'].")",$cnx->num);	
	break;
	
	case 'update_feature':
	  $request=new sqlRequest("UPDATE ".PARAM_DB_PREFIX."kados_features SET feature_name='".formatStringForDB($_POST['form_item_feature_name'])."',
	                                                  feature_description='".formatStringForDB($_POST['form_item_feature_description'])."', 
													  feature_short_label='".formatStringForDB($_POST['form_item_feature_short_label'])."' 
							WHERE feature_id=".$_POST['feature2update'],$cnx->num);
	break;
	
	case 'delete_feature':
	  $request=new sqlRequest("DELETE FROM ".PARAM_DB_PREFIX."kados_features WHERE feature_id=".$_REQUEST['feature2delete'],$cnx->num);
	  
	break;
  }
