<?php
/**
 * Add a comment to a postit
 *
 * PHP version 5
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
session_start();

// check if session is started and an user is logged
if (isset($_SESSION['login']))
{    
    
  // get lib and scripts  
  define("PATHBASE",'../');
  $pathCommons=PATHBASE.'common_scripts/';  
  include PATHBASE.'conf/connect.conf';
  include PATHBASE.'libraries/classes/class_connexion_mysql.php';
  include $pathCommons.'date_hour.php';
  include $pathCommons.'app_functions.php';
  include $pathCommons.'functions.php';
  include PATHBASE.'classes/comment.php';
 
  // start link to DB
  $cnx=new connexion_db();

  date_default_timezone_set(getParameter('TZ', $cnx->num));  
  // filter vars
  $postitId=intval($_POST['item_id']);
  $postitType=strtoupper($_POST['item_type']);
  
  // get comment object
  $commentObject=new comment($cnx->num);
  
  $commentObject->addPostitComment($postitType, $postitId, $_POST['comment'],$_POST['waved_users'],$_SESSION['login']);
  echo 'OK';
}?>